%define dist ML
%define original_name zabbix
%define pcre2_path /usr/local/pcre2-10.40
%define openssl_path /usr/local/openssl-1.1.1s-install64

###################################################################################
# COMMON HEADER START (DO NOT DELETE)
##################################################################################1
%define src_release 2
%{!?relcan:%define relcan %{nil}}
Name:           miracle-zbx
Version:        6.0.11
Release:        %{src_release}%{?dist}
Summary:        Open-source monitoring solution for your IT infrastructure
Group:          Applications/Internet
License:        GPLv2+
URL:            https://www.miraclelinux.com/
###################################################################################
# COMMON HEADER END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON SOURCE LIST START (DO NOT DELETE)
###################################################################################
Source0:        https://cdn.zabbix.com/%{original_name}/sources/stable/6.0/%{original_name}-%{version}%{relcan}.tar.gz
Source1:        zabbix-web.conf
Source2:        zabbix-logrotate.in
Source3:        zabbix-agent.service
Source4:        zabbix-java-gateway.service
Source5:        zabbix-tmpfs.conf
Source6:        zabbix-server.service
Source7:        zabbix-proxy.service
Source8:        icon-sprite.svg
Source9:        zabbix-web-service.service
Source10:       zabbix-agent.init.aix
Source11:       zabbix_java_gateway-sysd
Source12:       favicon.ico
Source13:       brand.conf.php
Source14:       zabbix-web-php72.conf
Source15:       zabbix-web-php-fpm.conf
Source16:       zabbix-agent2.service
Source17:       zabbix-nginx.conf
Source18:       COPYING.curl
Source19:       COPYING.openssl
Source20:       COPYING.pcre2
Source21:       miracle-zbx.te
Source22:       miracle-zbx-amzn2.te
###################################################################################
# COMMON SOURCE LIST END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON PATCH LIST START (DO NOT DELETE)
###################################################################################
Patch0:         zabbix-change-config-file-path.patch
Patch1:         zabbix-change-traceroute-path.patch
Patch2:         zabbix-change-java-gateway-log-path.patch
Patch3:         zabbix-change-locale-to-japanese.patch
Patch4:         zabbix-change-font-config.patch
Patch5:         zabbix-fix-build-aix61.patch
Patch6:         zabbix-fix-cflags.patch
Patch7:         zabbix-change-copyright-to-cybertrust.patch
Patch8:         zabbix-add-config-syslog-facility.patch
Patch9:         zabbix-add-rtc-log-slow-queries.patch
Patch10:        zabbix-add-logging-when-failed-open-eventlog.patch
Patch11:        zabbix-fix-ZBXNEXT-6653.patch
Patch12:        zabbix-add-frontend-history-log-column-in-problem.patch
Patch13:        zabbix-add-dbupdate-option.patch
Patch14:        zabbix-fix-format-message-crash.patch
Patch15:        zabbix-fix-memory-leak-in-trendcache.patch
Patch16:        zabbix-change-zabbix-configure-file-for-miracle-zbx.patch
Patch17:        zabbix-change-configure-to-build-agent2.patch
Patch18:        zabbix-add-eventlog-ext.patch
Patch19:        zabbix-fix-sending-recovery-mail.patch
Patch20:        zabbix-add-cpu-time-to-proc-info-in-windows.patch
Patch21:        zabbix-drop-over-2048-length-item-key-support.patch
Patch22:        zabbix-add-tlsv1-support.patch
Patch23:        zabbix-add-config-to-history-and-trends-in-web-monitoring.patch
Patch24:        zabbix-add-rtc-snmptrapper-file-open-close.patch
Patch25:        zabbix-add-libcurl-support-for-windows.patch
Patch26:        zabbix-add-rtc-logfile-redirect.patch
Patch27:        zabbix-add-end-of-month-maintenance-type.patch
Patch28:        zabbix-external-fping3-sourceip.patch
Patch29:        zabbix-add-rtc-value-cache-manage.patch
Patch30:        zabbix-add-rtc-discard-alerts.patch
Patch31:        zabbix-add-improve-housekeeper-event-deleting-process.patch
Patch32:        zabbix-add-eventlog6-support.patch
Patch33:        zabbix-fix-ZBX-18703.patch
Patch35:        zabbix-add-graph-csv-output.patch
Patch36:        zabbix-add-mariadb-partitioning.patch
Patch37:        zabbix-add-security-auditlog-to-syslog.patch
Patch38:        zabbix-add-security-set-bcrypt-cost-by-config.patch
Patch39:        zabbix-add-security-set-password-policy.patch
Patch40:        zabbix-add-security-password-encryption.patch
Patch41:        zabbix-change-supported-dbversion.patch
Patch42:        zabbix-fix-ZBX-21842.patch
Patch43:        zabbix-fix-ZBX-21644.patch
###################################################################################
# COMMON PATCH LIST END (DO NOT DELETE)
###################################################################################

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:        logrotate
Requires:        /usr/sbin/useradd

%description
ZABBIX is software that monitors numerous parameters of a
network and the health and integrity of servers. ZABBIX
uses a flexible notification mechanism that allows users
to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. ZABBIX
offers excellent reporting and data visualisation features
based on the stored data. This makes ZABBIX ideal for
capacity planning.

ZABBIX supports both polling and trapping. All ZABBIX
reports and statistics, as well as configuration
parameters are accessed through a web-based front end. A
web-based front end ensures that the status of your network
and the health of your servers can be assessed from any
location. Properly configured, ZABBIX can play an important
role in monitoring IT infrastructure. This is equally true
for small organisations with a few servers and for large
companies with a multitude of servers.

%package agent
Summary:         Zabbix Agent
Group:           Applications/Internet

%description agent
The Zabbix client agent, to be installed on monitored systems.

###################################################################################
# COMMON PATCHING START (DO NOT DELETE)
###################################################################################
%prep
%setup -q -n %{original_name}-%{version}%{relcan}
bash -c 'echo ./conf/zabbix_agentd{.hpux,.solaris}.conf | xargs -n1 | xargs -i% cp ./conf/zabbix_agentd.conf %'
bash -c 'rm NEWS README'
bash -c 'mv ChangeLog ChangeLog.Zabbix'
bash -c 'mv AUTHORS AUTHORS.Zabbix'
bash -c 'echo "Cybertrust Japan Co., Ltd." > AUTHORS'
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
####################################################################################
# COMMON PATCHING END (DO NOT DELETE)
###################################################################################

cp %{SOURCE19} ./
cp %{SOURCE20} ./

chmod -R a+rX .

# replace original version string

%{__perl} -p -i -e \
    "s|^#define ZABBIX_VERSION_RC      \"%{relcan}\"|#define ZABBIX_VERSION_RC \"-%{src_release}\"|" \
    include/version.h

%build

%configure CFLAGS="-lpthread -Wall -Wextra -maix64 -g -O2" --enable-agent --enable-ipv6 --sysconfdir=/etc/zabbix --with-libpcre2 --with-libpcre2-lib=%{pcre2_path}/lib --with-libpcre2-include=%{pcre2_path}/include --with-openssl=%{openssl_path}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# set up some required directories
mkdir -p $RPM_BUILD_ROOT/etc/%{original_name}
mkdir -p $RPM_BUILD_ROOT/etc/%{original_name}/zabbix_agentd.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/var/log/%{original_name}
mkdir -p $RPM_BUILD_ROOT/var/run/%{original_name}

# install
make DESTDIR=$RPM_BUILD_ROOT install

# log rotation
# init scripts
install -M 0755 -c $RPM_BUILD_ROOT/etc/rc.d/init.d %{SOURCE10}
mv $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix-agent.init.aix $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix-agent
cd $RPM_BUILD_ROOT/etc/rc.d/rc2.d
ln -s ../init.d/zabbix-agent Kzabbix-agent
ln -s ../init.d/zabbix-agent Szabbix-agent

cd $RPM_BUILD_ROOT/usr/sbin
ln -s ../../opt/freeware/sbin/zabbix_agentd .
cd $RPM_BUILD_ROOT/usr/bin
ln -s ../../opt/freeware/bin/zabbix_get .
ln -s ../../opt/freeware/bin/zabbix_sender .

%clean 
rm -rf $RPM_BUILD_ROOT

%pre agent
if [ -z "`lssec -f /etc/security/login.cfg -s usw -a shells|grep /bin/false`" ]; then
        SHELLS_OLD=`lssec -f /etc/security/login.cfg -s usw -a shells|cut -d'=' -f2`
        chsec -f /etc/security/login.cfg -s usw -a shells=${SHELLS_OLD},/bin/false
fi

lsgroup zabbix 2>/dev/null 1>/dev/null
OUT=$?
if [ $OUT -ne 0 ]; then
        /usr/bin/mkgroup zabbix 2> /dev/null
fi
lsuser zabbix 2>/dev/null 1>/dev/null
OUT=$?
if [ $OUT -ne 0 ]; then 
        /usr/bin/mkuser home=/home/zabbix shell=/bin/false gecos="Zabbix Daemon" pgrp=zabbix zabbix
fi

%preun agent
if [ $1 -eq 0 ]
then
  /etc/rc.d/init.d/zabbix-agent stop >/dev/null 2>&1 || :
fi

%postun agent
if [ $1 -gt 1 ]; then
  /etc/rc.d/init.d/zabbix-agent start >/dev/null 2>&1 || :
fi

%files agent
%defattr(-,root,staff,-)
%dir /etc/zabbix
%dir /etc/zabbix/zabbix_agentd.d
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING COPYING.pcre2 COPYING.openssl
%config(noreplace) /etc/zabbix/zabbix_agent*.conf
%attr(0755,root,staff) /etc/rc.d/init.d/zabbix-agent
%attr(0755,root,staff) /etc/rc.d/rc2.d/Kzabbix-agent
%attr(0755,root,staff) /etc/rc.d/rc2.d/Szabbix-agent
%attr(0755,root,staff) %{_bindir}/zabbix_get
%attr(0755,root,staff) %{_bindir}/zabbix_sender
%attr(0755,root,staff) %{_sbindir}/zabbix_agentd
%attr(0755,root,staff) /usr/bin/zabbix_*
%attr(0755,root,staff) /usr/sbin/zabbix_*
%attr(0700,zabbix,zabbix) %dir /var/log/zabbix
%attr(0700,zabbix,zabbix) %dir /var/run/zabbix

###################################################################################
# COMMON CHANGELOG START (DO NOT DELETE)
###################################################################################
%changelog
* Tue Nov 29 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.11-2%{?dist}
- Update Zabbix to 6.0.11.

* Mon Nov 28 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.11-1%{?dist}
- Update Zabbix to 6.0.11rc2.
  - Update zabbix-add-tlsv1-support.patch because Zabbix remove
    ZBX_CURLOPT_ACCEPT_ENCODING flag from curl requests.
  - Update zabbix-add-security-set-password-policy.patch to update database
    schema.

* Thu Nov 10 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.10-5%{?dist}
- Update zabbix-add-eventlog-ext.patch to output error message when
  using combinate normal expressions and eventlog_ext expressions.

* Tue Nov 08 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.10-4%{?dist}
- Update Zabbix to 6.0.10.
- Remove Zabbix agent 2 plugin source to download sources under src/go/vendor.
  - Update zabbix-add-eventlog-ext.patch to change import plugins path.

* Wed Nov 02 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.10-3%{?dist}
- Add zabbix-fix-ZBX-21644.patch to fix ZBX-21644 ("Allow manual close"
  configuration in template is not cloned in cloning template).

* Tue Nov 01 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.10-2%{?dist}
- Add zabbix-fix-ZBX-21842.patch to fix refer invalid address issue.

* Wed Oct 26 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.10-1%{dist}
- Update Zabbix 6.0.10rc1.
  - Update patch
    - zabbix-add-frontend-history-log-column-in-problem.patch
    - zabbix-add-mariadb-partitioning.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-supported-dbversion.patch
  - Remove zabbix-fix-ZBX-18478.patch because it fixed in upstream
- Update Zabbix agent 2 plugin source version 1.2.1(2001b4f39d8).
- Remove postgres.conf from Agent2 package because
  it provided by miracle-zbx-agent2-plugin-postgresql.
- Remove zabbix-fix-ZBX-18478.patch because it fixed in upstream.

* Fri Oct 14 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.9-5%{?dist}
- Update zabbix-agent2.service and zabbix-agent.service to run service
  as zabbix user.

* Tue Oct 11 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.9-4%{dist}
- Update zabbix-change-copyright-to-cybertrust.patch to prevent reject
  the patch when upgrading.

* Wed Sep 28 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.9-3%{?dist}
- Update zabbix-add-rtc-log-slow-queries.patch to fix slow query log problem.

* Mon Sep 26 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.9-2%{?dist}
- Update Zabbix to 6.0.9.
  - Update zabbix-change-copyright-to-cybertrust.patch

* Fri Sep 16 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.9-1%{?dist}
- Update Zabbix to 6.0.9rc1.
  - Update patch
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-add-security-set-password-policy.patch

* Wed Aug 31 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.8-3%{?dist}
- Update zabbix-add-security-set-password-policy.patch to error message issue.

* Tue Aug 30 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.8-2%{?dist}
- Update Zabbix to 6.0.8.
  - Update zabbix-change-copyright-to-cybertrust.patch

* Tue Aug 23 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.8-1%{?dist}
- Update Zabbix to 6.0.8rc1.
  - Update patch
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-add-rtc-discard-alerts.patch
    - zabbix-add-rtc-log-slow-queries.patch

* Mon Aug 22 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.7-4%{?dist}
- Fix zabbix-add-rtc-discard-alerts.patch issue.
- Update zabbix-add-security-set-password-policy.patch because changed .po file.

* Tue Jul 26 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.7-3%{?dist}
- Update Zabbix to 6.0.7.
  - Update zabbix-change-copyright-to-cybertrust.patch

* Fri Jul 22 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.7-2%{?dist}
- Update zabbix-add-graph-csv-output.patch to fix graph display problem.

* Wed Jul 20 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.7-1%{?dist}
- Update Zabbix to 6.0.7rc1.
  - Update patch:
    - zabbix-add-mariadb-partitioning.patch
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-change-supported-dbversion.patch

* Thu Jul 07 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.6-3%{?dist}
- Change owner/group of /etc/zabbix/zabbix_agentd.conf.new to "root:sys" in Solaris package.

* Tue Jun 28 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.6-2%{?dist}
- Update Zabbix to 6.0.6.
  - Update zabbix-change-copyright-to-cybertrust.patch

* Thu Jun 23 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.6-1%{?dist}
- Update Zabbix to 6.0.6rc1.
  - Update patch:
    - zabbix-add-rtc-log-slow-queries.patch
    - zabbix-add-security-auditlog-to-syslog.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-change-supported-dbversion.patch
    - zabbix-change-traceroute-path.patch
- Update Zabbix agent 2 plugin source version 1.0(35b8bffd7ad).
- Remove mongodb.conf from Agent2 package because it
  provided by miracle-zbx-agent2-plugin-mongodb.

plugin-support-release-6.0@120d65f5a17.zip -> plugin-support-1.0@35b8bffd7ad.zip

* Tue Jun 14 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.5-3%{?dist}
- Update miracle-zbx.te to get system.sw.packages on ML9.
 - Update miracle-zbx selinux module version to 1.2.

* Tue May 31 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.5-2%{?dist}
- Update Zabbix to 6.0.5.
  - Update zabbix-change-copyright-to-cybertrust.patch

* Thu May 26 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.5-1%{?dist}
- Update Zabbix to 6.0.5rc1.
  - Update patch:
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-copyright-to-cybertrust.patch
  - Add Zabbix agent 2 plugin source because dev-2061

* Fri May 13 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.4-4%{?dist}
- Fix API validation problem in zabbix-add-end-of-month-maintenance-type.patch.

* Tue May 10 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.4-3%{?dist}
- Remove zabbix-fix-supervising-process.patch because similar function was
  implemented by upstream (ZBX-20398).

* Mon May 09 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.4-2%{?dist}
- Update Zabbix to 6.0.4.
 - Update zabbix-change-copyright-to-cybertrust.patch

* Tue Apr 26 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.4-1%{?dist}
- Update Zabbix to 6.0.4rc1.
  - Update patch:
    - zabbix-add-eventlog-ext.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-fix-supervising-process.patch

* Thu Apr 21 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.3-3%{?dist}
- Update SPEC by rpmlint.
- Add history_pk_preprare.sql to sql-scripts package.

* Tue Apr 05 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.3-2%{?dist}
- Update Zabbix to 6.0.3.
  - Update zabbix-change-copyright-to-cybertrust.patch

* Tue Mar 29 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.3-1%{?dist}
- Update Zabbix to 6.0.3rc1.
 - Update patch:
     - zabbix-change-copyright-to-cybertrust.patch
     - zabbix-add-config-syslog-facility.patch
     - zabbix-add-mariadb-partitioning.patch
     - zabbix-add-security-auditlog-to-syslog.patch
     - zabbix-add-security-set-password-policy.patch
- Update aix/zabbix.spec due to update OpenSSL 1.1.1n.

* Wed Mar 16 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.2-2%{?dist}
- Update zabbix-add-security-auditlog-to-syslog.patch to add discription
  in sending auditlog to syslog.

* Tue Mar 15 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.2-1%{?dist}
- Update Zabbix to 6.0.2.
  - Update patch:
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-add-config-syslog-facility.patch
  - Delete zabbix-fix-ZBX-20692.patch to fixed in upstream.

* Wed Mar 09 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.1-6%{?dist}
- Fix sending auditlog to syslog missing HA cluster and trigger logs.
  - Update zabbix-add-security-auditlog-to-syslog.patch

* Fri Mar 04 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.1-5%{?dist}
- Add zabbix-fix-ZBX-20692.patch to fix problem that build failed in HP-UX
  when linking.

* Wed Mar 02 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.1-4%{?dist}
- Update Zabbix to 6.0.1.
  - Update patch:
    - zabbix-change-copyright-to-cybertrust.patch

* Tue Mar 01 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.1-3%{?dist}
- Update zabbix-add-security-set-password-policy.patch to fix problem in
  password reuse limitation.

* Tue Mar 01 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.1-2%{?dist}
- Update Zabbix to 6.0.1rc4.
  - Update patch:
    - zabbix-change-copyright-to-cybertrust.patch

* Thu Feb 24 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.1-1%{?dist}
- Update Zabbix to 6.0.1rc3.
  - Update patch:
    - zabbix-add-libcurl-support-for-windows.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-copyright-to-cybertrust.patch

* Wed Feb 16 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-75%{?dist}
- Update MIRACLE ZBX SELinux module to allow get system.sw.packages metrics.
- Enable/Disable domain_can_mmap_files in selinux package to RHEL 7 and 8.
  This boolean is not supported in Amazon Linux release 2 (Karoo).
  We provide custome policy that same feature as the boolean.

* Wed Feb 16 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-74%{?dist}
- Update miracle-zbx.te to resolve unable Zabbix Server and Proxy service
  start after DB upgrade.
 - Update miracle-zbx selinux module version to 1.1.

* Wed Feb 16 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-73%{?dist}
- Update Zabbix to 6.0.0 release.
  - Update patch:
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-add-security-set-password-policy.patch
- Change java-gateway requires java to java-headless

* Tue Feb 15 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-72%{?dist}
- Update zabbix-add-security-password-encryption.patch to fix error in frontend.

* Thu Feb 10 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-71%{?dist}
- Update AIX SPEC file
  - Update configure option to use 64-bit compiled PCRE2 and OpenSSL.
  - Fix problem that referenced source file was incorrect.

* Wed Feb 09 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-70%{?dist}
- Update zabbix-add-graph-csv-output.patch
  - fix problem that unable download graph CSV
  - support download CSV for simple graph

* Mon Feb 07 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-69%{?dist}
- Update Zabbix to 6.0.0rc2.
  - Update zabbix-change-copyright-to-cybertrust.patch

* Fri Feb 04 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-68%{?dist}
- Update Zabbix to 6.0.0rc1.
  - Update patch:
    - zabbix-add-graph-csv-output.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-copyright-to-cybertrust.patch

* Fri Jan 28 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-67%{?dist}
- Update Zabbix to 6.0.0beta3.
  - Update patch:
    - zabbix-add-eventlog-ext.patch
    - zabbix-add-frontend-history-log-column-in-problem.patch
    - zabbix-add-rtc-log-slow-queries.patch
    - zabbix-add-rtc-logfile-redirect.patch
    - zabbix-add-rtc-snmptrapper-file-open-close.patch
    - zabbix-add-rtc-value-cache-manage.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-configure-to-build-agent2.patch
    - zabbix-change-copyright-to-cybertrust.patch
  - Delete patch:
     - zabbix-fix-ZBX-20417.patch
     - zabbix-fix-ZBX-20446.patch

* Fri Jan 28 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-66%{?dist}
- Replace pcre to pcre2.

* Thu Jan 27 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-65%{?dist}
- Update zabbix-change-copyright-to-cybertrust.patch

* Wed Jan 26 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-64%{?dist}
- Fix agent2 agent.version value issue.
- Fix zabbix-add-rtc-logfile-redirect.patch to able redirect all process for Zabbix Server.
- Fix zabbix-add-rtc-logfile-redirect.patch to change the function used for log processing.

* Wed Jan 19 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-63%{?dist}
- Update Zabbix to 6.0.0beta2.
  - Update patch:
    - zabbix-add-graph-csv-output.patch
    - zabbix-add-mariadb-partitioning.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-add-rtc-discard-alerts.patch
    - zabbix-add-rtc-value-cache-manage.patch
    - zabbix-add-rtc-logfile-redirect.patch
    - abbix-add-rtc-snmptrapper-file-open-close.patch
    - zabbix-add-eventlog-ext.patch
    - zabbix-add-dbupdate-option.patch
    - zabbix-add-config-syslog-facility.patch
    - zabbix-add-rtc-log-slow-queries.patch
    - zabbix-change-copyright-to-cybertrust.patch
    - zabbix-fix-ZBX-20446.patch
  - Delete zabbix-fix-ZBX-20362.patch

* Tue Jan 18 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-62%{?dist}
- Rename zabbix-fix-vfs-file-get-in-hpux.patch to zabbix-fix-ZBX-20417.patch.
- Fix memory bug in zabbix-fix-ZBX-20417.patch.

* Tue Jan 18 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-61%{?dist}
- Import zabbix-add-mariadb-partitioning.patch
- Add zabbix-fix-ZBX-20446.patch

* Tue Jan 11 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-60%{?dist}
- Update zabbix-add-eventlog-ext.patch
  - Add eventlot_ext description to item list on the web frontend.
  - Fix the problem that unable create regular expression with delimiter for eventlog_ext key.

* Fri Jan 07 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-59%{?dist}
- Fix munmap_chunk() error in zabbix-fix-vfs-file-get-in-hpux.patch.

* Fri Jan 07 2022 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-58%{?dist}
- Add zabbix-fix-vfs-file-get-in-hpux.patch to fix vfs.file.get key error
  in HP-UX.

* Wed Dec 22 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-57%{?dist}
- Update zabbix-add-security-set-password-policy.patch to check foreign key
  in user_pwpolicy table.

* Mon Dec 20 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-56%{?dist}
- Update zabbix-add-rtc-logfile-redirect.patch to support ha manager process in zabbix_server.

* Thu Dec 16 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-55%{?dist}
- Update Zabbix to 6.0.0beta1.
  - Update patch:
    - zabbix-add-eventlog-ext.patch
    - zabbix-add-security-set-password-policy.patch
    - zabbix-change-copyright-to-cybertrust.patch
  - Add zabbix-fix-ZBX-20362.patch to fix build error in RHEL7.

* Mon Dec 13 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-54%{?dist}
- Update zabbix-add-security-set-password-policy.patch to fix bugs.

* Fri Dec 10 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-53%{?dist}
- Update zabbix-add-security-set-password-policy.patch to fix DB upgrade
  issue in PostgreSQL.

* Thu Dec 09 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-52%{?dist}
- Update zabbix-add-security-set-password-policy.patch

* Wed Dec 08 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-51%{?dist}
- Update zabbix-add-security-set-password-policy.patch

* Tue Dec 07 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-50%{?dist}
- Update zabbix-add-security-set-password-policy.patch to increase
  ZABBIX_DB_VERSION.

* Mon Dec 06 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-49%{?dist}
- Update zabbix-add-security-set-password-policy.patch
- Delete zabbix-PCI-DSS_pwpolicy.sql from sql-scripts package

* Mon Dec 06 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-48%{?dist}
- Add zabbix-add-security-set-password-policy.patch

* Wed Nov 24 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-47%{?dist}
- Update Zabbix to 6.0.0alpha6.
  - Update patch
    - zabbix-add-frontend-history-log-column-in-problem.patch
    - zabbix-add-rtc-discard-alerts.patch
    - zabbix-add-rtc-log-slow-queries.patch
    - zabbix-add-rtc-logfile-redirect.patch
    - zabbix-add-rtc-snmptrapper-file-open-close.patch
    - zabbix-add-security-password-encryption.patch
    - zabbix-change-copyright-to-cybertrust.patch

* Fri Nov 19 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-46%{?dist}
- Update Zabbix to 6.0.0alpha6.
  - Update patch
    - zabbix-add-frontend-history-log-column-in-problem.patch
    - zabbix-change-copyright-to-cybertrust.patch
  - Delete zabbix-fix-ZBX-20085.patch. This issue is fixed in upstream.

* Thu Nov 18 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-45%{?dist}
- Add SELinux policy file to start mariadb 10.5 service in Amazon Linux 2.

* Tue Nov 09 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-44%{?dist}
- Add zabbix-change-supported-dbversion.patch to change to database version
  support for MIRACLE ZBX.
- Remove mysql-devel and postgresql-devel from RHEL 7 and Amazon Linux 2
  build dependencies, following LLC spec file above 5.2.0.

* Fri Nov 05 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-43%{?dist}
- Update zabbix-add-frontend-history-log-column-in-problem.patch to fix history log
  display is broken.

* Fri Nov 05 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-42%{?dist}
- Import zabbix-add-security-auditlog-to-syslog.patch
- Update zabbix-add-security-set-bcrypt-cost-by-config.patch

* Thu Oct 28 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-41%{?dist}
Update patch:
  - zabbix-add_eventlog_ext.patch for fix eventlog_ext broken problem.
  - zabbix-add_libcurl_support_for_windows.patch to use HTTP metrics.

* Tue Oct 26 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-40%{?dist}
- Update Zabbix to 6.0.0alpha5.
  - Update patch
    - config.patch
    - zabbix-ML-copyright-replacement.patch
    - zabbix-add_RTC_disable_triggerid_and_alerts.patch
    - zabbix-add_RTC_logfile_redirect.patch
    - zabbix-add_dbupdate_option.patch
    - zabbix-add_eventlog_ext.patch
    - zabbix-add_permitting_to_change_syslog_facility.patch
    - zabbix-add_runtime_control_feature_for_snmptrapper.patch
    - zabbix-fix_supervising_process.patch
    - zabbix-modify_configure_to_build_agent2.patch
    - zabbix-reload_config.patch
    - zabbix-update_to_tlsv1.patch
  - New patch
    - zabbix-fix_ZBX-20085.patch to fix ZBX-20085 in this version.
  - Deleted patch
    - zabbix-fix_ZBX-19909.patch because target code is deleted.

* Fri Oct 15 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-39%{?dist}
- Fix brand.conf.php to update URL of support page for web frontend.

* Thu Oct 14 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-38%{?dist}
- Fix zabbix-ML-copyright-replacement.patch to update URL of support page displayed
  when execute help command of zabbix component.

* Mon Oct 11 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-37%{?dist}
- Update Zabbix to 6.0.0alpha4.
  - Update zabbix-ML-copyright-replacement.patch
- Create zabbix user home directory for Agent/Agent 2 package.

* Fri Oct 08 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-36%{?dist}
- Import zabbix-add_graph_csv_output.patch from ZBX 5.0.

* Fri Oct 08 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-35%{?dist}
- Update zabbix-add_RTC_logfile_redirect.patch to add logfile_redirect RTC to zabbix_agent2.

* Wed Sep 29 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-34%{?dist}
- Update Zabbix
  - Update zabbix-ML-copyright-replacement.patch
  - Update zabbix-add_eventlog_ext.patch
  - Delete zabbix-fix_ZBX-19898.patch

* Tue Sep 14 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-33%{?dist}
- Specify version in fping requirement.

* Mon Sep 13 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-32%{?dist}
- Update Zabbix
  - Update zabbix-ML-copyright-replacement.patch

* Thu Sep 09 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-31%{?dist}
- Update Zabbix to 6.0.0 latest(a8f1b16d9b7ecc49a7cbdbe81a3b73243d3c4d7f).
  - Update zabbix-ML-copyright-replacement.patch
- Remove the changes generated when the update_po.sh run from zabbix-fix_ZBX-19909.patch.

* Thu Sep 09 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-30%{?dist}
- Update miracle-zbx policy module to fix agent problem that unable logging
  through system log.

* Mon Sep 06 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-29%{?dist}
- Import patch from MIRACLE ZBX 5.0.
  - zabbix-PCI-DSS_set_bcrypt_cost_by_config.patch
  - zabbix-PCI-DSS_password_encryption.patch

* Mon Sep 06 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-28%{?dist}
- Update patch
  - Fix zabbix-ML-copyright-replacement.patch to add "msgid: MIRACLE ZBX server"
    which is translation for the setup wizard.
  - Update zabbix-fix_ZBX-19909.patch because zabbix-ML-copyright-replacement.patch
    has been updated.

* Fri Sep 03 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-27%{?dist}
- Add zabbix-fix_ZBX-19909.patch to fix a word (Name) in the setup wizard
  is not translated.

* Thu Sep 02 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-26%{?dist}
- Update zabbix-ML-copyright-replacement.patch to fix the problem that some of
  the Japanese translations of setup wizard (Web frontend) are not translated.

* Tue Aug 31 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-25%{?dist}
- Add zabbix-fix_ZBX-19898.patch to fix unable to determine PostgreSQL Server
  version correctly

* Fri Aug 27 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-24%{?dist}
- Import patch from MIRACLE ZBX 5.0.
  - zabbix-add_improve_housekeeper_event_deleting_process.patch
  - zabbix-add_eventlog6.patch
  - zabbix-fix_ZBX-18703.patch
  - zabbix-fix_ZBX-18478.patch

* Fri Aug 27 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-23%{?dist}
- Import patch from MIRACLE ZBX 5.0.
  - zabbix-add_end_of_month_maintenance_type.patch
  - fping3-sourceip-option.patch
  - zabbix-add_RTC_value_cache_manage.patch
  - zabbix-add_RTC_disable_triggerid_and_alerts.patch

* Thu Aug 26 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-22%{?dist}
- Update Zabbix to 6.0.0 alpha1 release.
- Import patch from MIRACLE ZBX 5.0.
  - zabbix-add_libcurl_support_for_windows.patch
  - zabbix-add_RTC_logfile_redirect.patch

* Wed Aug 25 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-21%{?dist}
- Update Zabbix source
- Import patch
  - zabbix-update_to_tlsv1.patch
  - zabbix-add-enable_set_history_trends_on_web_monitoring.patch
  - zabbix-add_runtime_control_feature_for_snmptrapper.patch
  - zabbix-fix_supervising_process.patch

* Mon Aug 23 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-20%{?dist}
- Update zabbix-add_permitting_to_change_syslog_facility.patch to setting
  syslog facility for Zabbix Web Service logging.

* Fri Aug 20 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-19%{?dist}
- Import zabbix-unsupport_long_item_key.patch

* Fri Aug 20 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-18%{?dist}
- Import zabbix-add-cpu_time-to-proc_info-on-windows.patch

* Mon Aug 16 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-17%{?dist}
- Update Zabbix source
  - Update zabbix-ML-copyright-replacement.patch

* Fri Aug 13 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-16%{?dist}
- Import zabbix-fix_sending_recovery_mail.patch

* Wed Aug 11 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-15%{?dist}
- Import zabbix-add_eventlog_ext.patch

* Tue Aug 10 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-14%{?dist}
- Update Zabbix source
  - Update zabbix-ML-copyright-replacement.patch
- Import these patches
  - zabbix-fix_format_message_crash.patch
  - zabbix-fix_memory_leak_in_trendcache.patch
  - zabbix-fix_zabbix_configure_file_for_miracle_zbx.patch
  - zabbix-modify_configure_to_build_agent2.patch

* Thu Aug 05 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-13%{?dist}
- Import zabbix-add_dbupdate_option.patch

* Wed Aug 04 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-12%{?dist}
- Import zabbix-show_history_in_event.patch

* Wed Aug 04 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 6.0.0-11%{?dist}
- Delete ExecStartPost from zabbix-web-service.service

* Tue Aug 03 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-10%{?dist}
- Update Zabbix source
  - Update these patches
    - zabbix-ML-copyright-replacement.patch
    - zabbix-add_permitting_to_change_syslog_facility.patch
    - zabbix-localizing_into_japanese.patch
    - zabbix-reload_config.patch
- Import these patches
    - zabbix-show_more_details_when_failed_open_eventlog.patch
    - zabbix-long_telnet_command_fix.patch

* Fri Jul 30 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-9%{?dist}
- Update package section of miracle-zbx-selinux.

* Tue Jul 27 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-8%{?dist}
- Update pre/post script of miracle-zbx-selinux package

* Wed Jul 14 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-7%{?dist}
- Add miracle-zbx-selinux package

* Mon Jul 12 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-6%{?dist}
- Update Zabbix source
  - Update zabbix-ML-copyright-replacement.patch
- Add zabbix-reload_config.patch

* Mon Jul 05 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-5%{?dist}
- Update Zabbix source
- Update zabbix-ML-copyright-replacement.patch
- Add zabbix-add_permitting_to_change_syslog_facility.patch to use local0-7
  syslog facilities.

* Fri Jul 02 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-4%{?dist}
- Change path of zabbix-wait-pidfile.sh to "/usr/libexec/zabbix".

* Mon Jun 28 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-3%{?dist}
- Add fonts-config.patch to use graphfont instead of DejaVuSans.
- Add zabbix-fix_for_aix61.patch to compile on AIX 6.1.
- Add zabbix-fix_cflags.patch to update CFLAGS.

* Mon Jun 28 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-2%{?dist}
- Update Zabbix source
- Add zabbix-localizing_into_japanese.patch to set default language to Japanese.
- Delete "ExecStartPre" from server service.

* Wed Jun 23 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 6.0.0-1%{?dist}
- Initialize MIRACLE ZBX 6.0.0 alpha
- Create new packages
  - miracle-zbx-web-service
  - miracle-zbx-sql-scripts
  - miracle-zbx-web-deps
- Drop AXS4 support
  - Delete zabbix-agent.init
- Delete init_zbx.sh
- Change dist "ML" to default

* Tue Jun 22 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.13-1%{?dist}
- Update Zabbix to 5.0.13rc1.
- Update curl to 7.77.0.

* Tue Jun 01 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.12-4%{?dist}
- Update zabbix-fix_sending_recovery_mail.patch:
    Fix problem that recovery message is sent while maintenance.

* Tue May 25 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.12-3%{?dist}
- Update Zabbix to 5.0.12.
  - This release version is 3 because build mistake.

* Tue May 18 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.12-1%{?dist}
- Update Zabbix to 5.0.12rc1

* Tue Apr 27 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.11-2%{?dist}
- Update Zabbix to 5.0.11 release

* Tue Apr 20 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.11-1%{?dist}
- Update Zabbix to 5.0.11rc1

* Wed Apr 14 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.10-5%{?dist}
- Update curl to 7.76.1 for Windows binary

* Tue Mar 30 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.10-4%{?dist}
- Update ProxyTimeout 300 to zabbix-web-php72.conf(ZBX-19104).

* Mon Mar 29 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.10-3%{?dist}
- Update base zabbix to 5.0.10 released.
  - Update zabbix-ML-copyright-replacement.patch

* Fri Mar 26 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.10-2%{?dist}
- Update OpenSSL to 1.1.1k for Windows and Unix binary.

* Tue Mar 23 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.10-1%{?dist}
- Update base zabbix to 5.0.10rc1
  - Update zabbix-ML-copyright-replacement.patch
  - Update zabbix-fix_memory_leak_in_trendcache.patch
  - Update zabbix-support-mariadb-partitioning.patch
  - Remove zabbix-fix_ZBX-19031.patch because fixed by upstream

* Tue Mar 23 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.9-7%{?dist}
- Update OpenSSL to 1.1.1j for Windows and Unix binary.

* Wed Mar 10 2021 Hiroki Kawanaka <hiroki.kawanaka@cybertrust.co.jp> 5.0.9-6%{?dist}
- Update zabbix-PCI-DSS_set_password_policy.patch and zabbix-PCI-DSS_pwpolicy.sql
  to set the password policy to web frontend in MySQL environment.

* Wed Feb 24 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.9-5%{?dist}
- Update zabbix-fix_ZBX-19031.patch to backport ZBX-19031 changes.

* Wed Feb 24 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.9-4%{?dist}
- Update zabbix to 5.0.9
  - Update zabbix-ML-copyright-replacement.patch

* Thu Feb 18 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.9-3%{?dist}
- Add zabbix-PCI-DSS_pwpolicy.sql to create the new MySQL Database table to set
  the password policy to web frontend.

* Wed Feb 17 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.9-2%{?dist}
- Update zabbix-PCI-DSS_set_password_policy.patch to restrict access to frontend
  page other than "User settings" for users whose passwords have expired.

* Tue Feb 16 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.9-1%{?dist}
- Update Zabbix to 5.0.9rc1
- Add zabbix-fix_ZBX-19031.patch to fix build failure on HP-UX.

* Tue Feb 16 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.8-8%{?dist}
- Update zabbix-fix_ZBX-18478.patch to keep cookie in tab widget.

* Mon Feb 15 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.8-7%{?dist}
- Add zabbix-fix_ZBX-18478.patch to fix ldap_test button disappear.

* Fri Feb 12 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.8-6%{?dist}
- Update zabbix-PCI-DSS_set_password_policy.patch to improve checking password
  policy arround LDAP authentication.

* Mon Feb 08 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.8-5%{?dist}
- Update curl to 7.75.0 for Windows binary.

* Thu Feb 04 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.8-4%{?dist}
- Remove zabbix-fix_zbx_execute_crash_by_sigpipe.patch as the problem that
  zabbix server crach by sigpipe doesn't reappear.

* Tue Jan 26 2021 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.8-3%{?dist}
- Update Zabbix to 5.0.8
  - Update zabbix-ML-copyright-replacement.patch
  - Replace *-scl-rh-php73 to *-scl-php73 to following Zabbix's packages

* Tue Jan 19 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.8-2%{?dist}
- Update zabbix-PCI-DSS_password_encryption.patch to check password remaining expires days.

* Tue Jan 19 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.8-1%{?dist}
- Update base Zabbix version to 5.0.8rc1.
  - Update zabbix-ML-copyright-replacement.patch

* Thu Jan 07 2021 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.7-5%{?dist}
- Add *-scl-rh-php73 packages for use PHP7.3 SCL.

* Thu Dec 24 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.7-4%{?dist}
- Update zabbix-add_graph_csv_output.patch because of replaced CComboBox
  with CSelect component by upstream.

* Thu Dec 24 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.7-3%{?dist}
- Replace default `listen.acl_users` directive from `apache,nginx` to `apache`
  in zabbix-web-php-fpm.conf on RHEL7 because "nginx" user will not be created
  automatically unlike RHEL8 and Amazon Linux 2.

* Tue Dec 22 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.7-2%{?dist}
- Update base Zabbix version to 5.0.7

* Tue Dec 15 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.7-1%{?dist}
- Update base Zabbix version to 5.0.7rc1.
  - Update zabbix-ML-copyright-replacement.patch
  - Update zabbix-add_eventlog_ext.patch

* Fri Dec 11 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.6-7%{?dist}
- Update zabbix-support-mariadb-partitioning.patch to fix misspelling.

* Fri Dec 11 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.6-6%{?dist}
- Update OpenSSL to 1.1.1i for Windows and Unix binary.

* Fri Dec 11 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.6-5%{?dist}
- Update curl to 7.74.0 for Windows binary.

* Thu Dec 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.6-4%{?dist}
- Add zabbix-add_eventlog6.patch to support eventlog6 key in ZBX 2.0.

* Tue Dec 01 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.6-3%{?dist}
- Update base Zabbix version to 5.0.6 release.
  - Update zabbix-ML-copyright-replacement.patch

* Thu Nov 26 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.6-2%{?dist}
- Add zabbix-fix_ZBX-18703.patch to fix bug arround vmware.vm.vfs.fs.size[] key.

* Tue Nov 24 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.6-1%{?dist}
- Update base Zabbix version to 5.0.6rc1.
  - Update zabbix-ML-copyright-replacement.patch
  - Update zabbix-add-enable_set_history_trends_on_web_monitoring.patch
  - Update zabbix-localizing_into_japanese.patch

* Wed Nov 18 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-10%{?dist}
- Update zabbix-add_eventlog_ext.patch for eventlog_ext on Agent 2.

* Wed Nov 18 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-9%{?dist}
- Add zabbix-PCI-DSS_password_encryption.patch to use encrypted password in
  Zabbix configurations.

* Tue Nov 17 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-8%{?dist}
- Update zabbix-PCI-DSS_set_password_policy.patch to fix mistake

* Tue Nov 17 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-7%{?dist}
- Update zabbix-PCI-DSS_auditlog_to_syslog.patch to improve audit logging.
- Update zabbix-PCI-DSS_set_password_policy.patch to Japanese translations and
  fix date format in password policy.

* Mon Nov 16 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-6%{?dist}
- Fix mistake variable name in
  zabbix-add-enable_set_history_trends_on_web_monitoring.patch

* Wed Oct 28 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-5%{?dist}
- Update these PCI DSS patches for bugfix
  - zabbix-PCI-DSS_auditlog_to_syslog.patch
  - zabbix-PCI-DSS_set_bcrypt_cost_by_config.patch
  - zabbix-PCI-DSS_set_password_policy.patch

* Tue Oct 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-4%{?dist}
- Update zabbix-PCI-DSS_set_password_policy.patch because included .php file
  was missing.

* Tue Oct 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-3%{?dist}
- Update base zabbix version to 5.0.5 release
  - Update zabbix-ML-copyright-replacement.patch because revision number and
    source code of Web setup wizard has been changed.

* Thu Oct 22 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-2%{?dist}
- Add three feature patches to PCI DSS support
  - zabbix-PCI-DSS_auditlog_to_syslog.patch for logging from auditlog to
    syslog.
  - zabbix-PCI-DSS_set_bcrypt_cost_by_config.patch for set bcrypt cost in
    configuration.
  - zabbix-PCI-DSS_set_password_policy.patch for set Web frontend password
    policies.

* Tue Oct 20 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.5-1%{?dist}
- Update base zabbix version to 5.0.5rc1
  - Update zabbix-ML-copyright-replacement.patch because revision number and
    source code of Web setup wizard has been changed.

* Mon Oct 12 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.4-4%{?dist}
- Update zabbix-add_permitting_to_change_syslog_facility.patch to setting
  syslog facility for Linux Zabbix Agent 2 logging.

* Tue Sep 29 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.4-3%{?dist}
- Update base zabbix version to 5.0.4 released
  - Update zabbix-ML-copyright-replacement.patch because revision number has
    been changed.

* Wed Sep 23 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.4-2%{?dist}
- Update base zabbix version to 5.0.4rc1 released

* Wed Sep 16 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.4-1%{?dist}
- Update base zabbix version to 5.0.4 HEAD (cdb055b16c32bcdc1b7645cd97cd543426b9b2cf)

* Thu Sep 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.3-8%{?dist}
- Update zabbix-web-php-fpm.conf to allow reading php-fpm socket by Nginx.

* Thu Sep 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.3-7%{?dist}
- Fix incorrect post-script of nginx-conf and web-deps-scl because default
  php-fpm settings allows apache:apache user/group to read php-fpm's zabbix
  socket.

* Thu Sep 03 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.3-6%{?dist}
- Add zabbix-add_improve_housekeeper_event_deleting_process.patch to improve
  event deleting housekeeper process.

* Mon Aug 24 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.3-5%{?dist}
- Update base zabbix version to 5.0.3 released.
  - Update zabbix-ML-copyright-replacement.patch because revision number has been changed.

* Tue Aug 18 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.3-4%{?dist}
- Update base zabbix version to 5.0.3rc2 released.
  - Update zabbix-ML-copyright-replacement.patch because revision number has been changed.

* Thu Aug 13 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.3-3%{?dist}
- Update base zabbix version to 5.0.3rc1 released.
  - Update zabbix-ML-copyright-replacement.patch because revision number has been changed.

* Wed Aug 12 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.3-2%{?dist}
- Update base zabbix version to 5.0.3rc1 latest (2143dcc96491f691a6039d1d1bf5021c4c184fdf)
  - Update zabbix-ML-copyright-replacement.patch because revision number has been changed.
  - Update zabbix-add-enable_set_history_trends_on_web_monitoring.patch to apply this patch.

* Fri Aug 07 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.3-1%{?dist}
- Update base zabbix version to 5.0.3rc1 latest (52ba8118c48a2a2c3418f2f1eeaad0af217ada98)

* Fri Aug 07 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.2-7%{?dist}
- Update zabbix-add-cpu_time-to-proc_info-on-windows.patch to support
  monitoring cpu_time by proc_info key on Windows Zabbix Agent 2.

* Fri Jul 31 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.2-6%{?dist}
- Add "pgbouncer.service" into "After=" directive to server and proxy service
  files (ZBX-17492).

* Thu Jul 30 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.2-5%{?dist}
- Update zabbix-fix_zabbix_configure_file_for_miracle_zbx.patch to fix
  incorrect configuration in zabbix_agent2.conf.

* Tue Jul 28 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.2-4%{?dist}
- Add zabbix-fix_ZBX-18121.patch to SSH monitoring using public key
  authentication with passphrase.

* Mon Jul 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.2-3%{?dist}
- Add zabbix-add_RTC_disable_triggerid_and_alerts.patch to disable alerts and
  trigger ID from runtime control.

* Tue Jul 14 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.2-2%{?dist}
- Update base zabbix version to 5.0.2.
  - Update zabbix-ML-copyright-replacement.patch because revision number was changed.
  - Update zabbix-add_libcurl_support_for_windows.patch to fix build failure.

* Wed Jul 08 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.2-1%{?dist}
- Update base zabbix version to 5.0.2rc1
  - Update Patch6 (zabbix-ML-copyright-replacement.patch)
  - Update Patch7 (zabbix-reload_config.patch)
  - Update Patch14 (zabbix-add_eventlog_ext.patch)
  - Update Patch37 (zabbix-fix_hidden_port_input_field.patch)

* Wed Jul 01 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-11%{?dist}
- Import Patch38 (zabbix-add_RTC_value_cache_manage.patch) to reset value cache by user

* Wed Jul 01 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-10%{?dist}
- Add Patch36 (zabbix-fix_hidden_port_input_field.patch) to fix ZBX-17996

* Mon Jun 29 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-9%{?dist}
- Import Patch36 (fping3-sourceip-option.patch) from Zabbix source RPM to use fping 3 or greater version

* Mon Jun 29 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-8%{?dist}
- Import Patch35 (zabbix-add_end_of_month_maintenance_type.patch)

* Wed Jun 17 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-7%{?dist}
- Add COPYING files to show license for static linked libraries

* Thu Jun 11 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-6%{?dist}
- Add miracle-zbx-apache-conf/miracle-zbx-nginx-conf (also scl)
- Add Source45 (zabbix-nginx.conf) which is Nginx config template

* Thu Jun 11 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-5%{?dist}
- Update Patch33 (zabbix-support-mariadb-partitioning.patch)

* Wed Jun 03 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-4%{?dist}
- Update Patch14 (zabbix-add_eventlog_ext.patch) to bugfix

* Tue Jun 02 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-3%{?dist}
- Update Patch33 (zabbix-support-mariadb-partitioning.patch) to fix proxy-mysql issue

* Mon Jun 01 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-2%{?dist}
- Add libcurl support to Windows agent

* Mon Jun 01 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.1-1%{?dist}
- Update base zabbix version to 5.0.1
  - Update Patch6 (zabbix-ML-copyright-replacement.patch)

* Fri May 29 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-77%{?dist}
- Add "--with-openssl" flag

* Thu May 28 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-76%{?dist}
- Update Patch11 (zabbix-add_graph_csv_output.patch) to fix graph CSV bug
- Update Patch14 (zabbix-add_eventlog_ext.patch)

* Tue May 26 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-75%{?dist}
- Update Patch14 (zabbix-add_eventlog_ext.patch) to fix not accessing regex edit page problem

* Wed May 13 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-74%{?dist}
- Update zabbix.spec to use php7.2(amazon-linux-extras) with Amazon Linux 2
- Modify zabbix-web-php72.conf to fix typo

* Tue May 12 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-73%{?dist}
- Update zabbix.spec to use rh-php72 with Asianux Server 7
- Update zabbix-web-php72.conf to sync upstream's conf

* Tue May 12 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-72%{?dist}
- Update base zabbix version to 5.0.0 released

* Mon May 11 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-71%{?dist}
- Update icon-sprite.svg to new UI

* Fri May 08 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-70%{?dist}
- Update base zabbix version to 5.0.0rc1 latest(b660bb8843413e8d289f45849d009be202e6b9c9)
  - Update these patches because Web frontend directory hierarchy was changed
    - Patch0 (config.patch)
    - Patch1 (zabbix-localizing_into_japanese.patch)
    - Patch2 (fonts-config.patch)
    - Patch6 (zabbix-ML-copyright-replacement.patch)
    - Patch8 (zabbix-show_history_in_event.patch)
    - Patch11 (zabbix-add_graph_csv_output.patch)
    - Patch14 (zabbix-add_eventlog_ext.patch)
    - Patch24 (zabbix-add-enable_set_history_trends_on_web_monitoring.patch)

* Mon Apr 27 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-69%{?dist}
- Update base zabbix version to 5.0.0beta2 latest (a63d50ec0cb00d05f0c48535c93419e34a79657f)
  - Update Patch6 (zabbix-ML-copyright-replacement.patch) to apply patch

* Thu Apr 23 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-68%{?dist}
- Update base zabbix version to 5.0.0beta2 latest (b91f202b8f5a47a4d502ca41c33e8dfdc21a5b5e)
  - Update Patch6 (zabbix-ML-copyright-replacement.patch) to apply patch

* Thu Apr 23 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-67%{?dist}
- Remove mysql or mariadb package requirements from server/proxy-mysql package

* Wed Apr 22 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-66%{?dist}
- Add Patch33 (zabbix-support-mariadb-partitioning.patch) to partitioning in MariaDB

* Wed Apr 22 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-65%{?dist}
- Update base zabbix version to 5.0.0beta2 latest (4ac93718df3f927ccc92e7654e3e0931b78fb2ae)
  - Update Patch6 (zabbix-ML-copyright-replacement.patch) to apply patch

* Mon Apr 20 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-64%{?dist}
- Update base zabbix version to 5.0.0beta2 latest (d6fd212f6f91b3a04d7c7d8c17432d5cbfbbcadd)
- Build with libevent flag

* Fri Apr 17 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-63%{?dist}
- Update Patch6 (zabbix-ML-copyright-replacement.patch) to Zabbix Agent 2

* Fri Apr 17 2020 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 5.0.0-62%{?dist}
- Update base zabbix version to 5.0.0beta2 (2c358ee23e5806ba652f31e38c8ae3bdaf46bc85)

* Thu Apr 16 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-61%{?dist}
- Update base zabbix version to 5.0.0beta2 (3043fc09617c71424a7d079c6db75d3a135248ea)
  - Remove Patch87 (zabbix-fix_golang_memcached_build_problem.patch), it is not necessary to build

* Wed Apr 15 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-60%{?dist}
- Update base zabbix version to 5.0.0beta2 (f86b4766b6da12229e8b79cd63235f04ab96a840)

* Tue Apr 14 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-59%{?dist}
- Update Patch14 (zabbix-add_eventlog_ext.patch) to updating header file

* Wed Apr 08 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-58%{?dist}
- Update base zabbix version to 5.0.0alpha5 (HEAD)
  - Update Patch6 (zabbix-ML-copyright-replacement.patch)
  - Update Patch7 (zabbix-reload_config.patch)
  - Update Patch11 (zabbix-add_graph_csv_output.patch)
  - Update Patch24 (zabbix-add-enable_set_history_trends_on_web_monitoring.patch)
  - Add Patch87 (zabbix-fix_golang_memcached_build_problem.patch) to fix memcached plugin build problem

* Thu Mar 12 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-57%{?dist}
- Drop curl static link on Windows
- Update Patch14 (zabbix-add_eventlog_ext.patch)

* Thu Mar 12 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-56%{?dist}
- Drop PCRE static link

* Wed Mar 11 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-55%{?dist}
- Update base zabbix version to latest
  - Update Patch14 (zabbix-add_eventlog_ext.patch)

* Mon Mar 09 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-54%{?dist}
- Update base zabbix version to latest
- Drop mbed TLS support

* Fri Mar 06 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-53%{?dist}
- Update base zabbix version
  - Disable mbed TLS support temporary because upstream drop the feature
  - Update Patch7 (zabbix-reload_config.patch)
  - Update Patch29 (zabbix-add_runtime_control_feature_for_snmptrapper.patch)
  - Update Patch32 (zabbix-add_RTC_logfile_redirect.patch)

* Thu Mar 05 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-52%{?dist}
- Update curl version to 7.69.0

* Thu Feb 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-51%{?dist}
- Delete "golang" from build requires
- Update zabbix version as HEAD

* Thu Feb 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-50%{?dist}
- Update mbedTLS version to 2.16.5

* Tue Feb 25 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-49%{?dist}
- Update PCRE version to 8.44

* Fri Feb 21 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-47%{?dist}
- Import Patch32 (zabbix-add_RTC_logfile_redirect.patch)

* Fri Feb 21 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-46%{?dist}
- Update CURL version to 7.68.0
- Import Patch31 (zabbix-add_libcurl_support_for_windows.patch)

* Fri Feb 21 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-45%{?dist}
- Import Patch30 (zabbix-fix_supervising_process.patch)

* Thu Feb 20 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-44%{?dist}
- Import Patch29 (zabbix-add_runtime_control_feature_for_snmptrapper.patch)

* Thu Feb 20 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-43%{?dist}
- Update mbedTLS version to 2.16.4
- Import Patch27 (zabbix-support_mbedtls21.patch)

* Thu Feb 20 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-42%{?dist}
- Update base zabbix version to HEAD
- Import Patch26 (zabbix-fix_zabbix_configure_file_for_miracle_zbx.patch)

* Wed Feb 19 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-41%{?dist}
- Import Patch25 (zabbix-add-enable_set_history_trends_on_web_monitoring.patch)

* Wed Feb 19 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-40%{?dist}
- Import Patch24 (zabbix-add-enable_set_history_trends_on_web_monitoring.patch)

* Wed Feb 19 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-39%{?dist}
- Update base zabbix version to 5.0.0beta1
- Import Patch23 (zabbix-fix_zbx_execute_crash_by_sigpipe.patch)

* Mon Feb 17 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-38%{?dist}
- Import Patch22 (zabbix-update_to_tlsv1.patch) to support TLSv1

* Mon Feb 17 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-37%{?dist}
- Update base zabbix version to HEAD
  - Update Patch14 (zabbix-add_eventlog_ext.patch) because of changed file path

* Fri Feb 14 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-36%{?dist}
- Update base zabbix version to HEAD

* Thu Feb 13 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-35%{?dist}
- Update base zabbix version to HEAD
  - Update Patch1 (zabbix-localizing_into_japanese.patch)
- Add php-json requirements

* Wed Feb 12 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-34%{?dist}
- Revert previous release because dbversion was increased

* Wed Feb 12 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-32%{?dist}
- Import Patch21 (zabbix-add_macro_ITEM.TYPE.patch)
- Update base zabbix version to HEAD

* Mon Feb 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-31%{?dist}
- Update Patch1 (zabbix-localizing_into_japanese.patch) to set default language as Japanese

* Mon Feb 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-30%{?dist}
- Import Patch20 (zabbix-add_trap_receiver.patch)

* Fri Feb 07 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-29%{?dist}
- Import Patch19 (zabbix-enable_option_with_mbedtls_for_tls_protocol.patch)

* Fri Feb 07 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-28%{?dist}
- Import Patch18 (zabbix-unsupport_long_item_key.patch)

* Fri Feb 07 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-27%{?dist}
- Update base zabbix version to HEAD
- Update libssh relation code to Amazon Linux 2
- Import Patch17 (zabbix-add-cpu_time-to-proc_info-on-windows.patch)

* Tue Feb 04 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-26%{?dist}
- Import Patch16 (zabbix-fix_memory_leak_in_trendcache.patch)

* Tue Feb 04 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-25%{?dist}
- Using libssh instead of libssh2

* Mon Feb 03 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-24%{?dist}
- Import Patch14 (zabbix-fix_sending_recovery_mail.patch)
- Update base zabbix to HEAD (alpha2)
  - Update Patch0 (config.patch)
- Z.php was renamed to APP.php by upstream

* Mon Feb 03 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-23%{?dist}
- Revert 7c0a066 changes because of backward compatibility

* Thu Jan 30 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-22%{?dist}
- Update Patch14 (zabbix-add_eventlog_ext.patch)
  - Delete third parameter of eventlog_ext[]
  - Add "Enhanced eventlog with extensional feature" japanese translation

* Wed Jan 29 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-21%{?dist}
- Update Patch14 (zabbix-add_eventlog_ext.patch)
  - Add "Excessive delimiters exist in expression" japanese translation

* Wed Jan 29 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-20%{?dist}
- Update Patch14 (zabbix-add_eventlog_ext.patch) to prevent agent aborting

* Tue Jan 28 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-19%{?dist}
- Import Patch14 (zabbix-add_eventlog_ext.patch) to eventlog_ext[] item

* Tue Jan 28 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-18%{?dist}
- Remove Patch38 (zabbix-fix_eventlog_message_logic.patch) because it is not used in 4.0

* Mon Jan 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-17%{?dist}
- Patch12 (zabbix-add_dbupdate_option.patch) was imported

* Mon Jan 27 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-16%{?dist}
- Rename Patch1 zabbix-datasql.patch to zabbix-localizing_into_japanese.patch
- Update Patch1 (zabbix-localizing_into_japanese.patch) for japanese login page

* Fri Jan 24 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-15%{?dist}
- Update base zabbix to 54932d6c
- ML3 and ML4 support ended
- Server and proxy packages supports systemd only
- Patch11 (zabbix-add_graph_csv_output.patch) was imported

* Wed Jan 22 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-14%{?dist}
- Update base zabbix to fa8d7072
- Add zabbix agent 2 package to Linux
  - Patch86 (zabbix-modify_configure_to_build_agent2.patch) to include LIBPCRE_* flags into CGO_LDFLAGS and remove unnecessary GOBIN global variable

* Tue Jan 21 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-13%{?dist}
- Update base zabbix to e79c5be6
- Patch10 (zabbix-long_telnet_command_fix.patch) was imported

* Mon Jan 20 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-12%{?dist}
- Update base zabbix to 6d64333c
- Patch6 (zabbix-ML-copyright-replacement.patch) was updated
- Patch9 (zabbix-show_more_details_when_failed_open_eventlog.patch) was imported

* Fri Jan 17 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-11%{?dist}
- Update base zabbix to 9edeb7e9

* Thu Jan 16 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-10%{?dist}
- Patch8 (zabbix-show_history_in_event.patch) was update.
- Patch76 (zabbix-translate_show_history.patch) was removed because merged into Patch8.

* Thu Jan 16 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-9%{?dist}
- Patch8 (zabbix-show_history_in_event.patch) was imported.

* Tue Jan 14 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-8%{?dist}
- Patch7 (zabbix-reload_config.patch) was imported.

* Fri Jan 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-7%{?dist}
- Fix incorrect license description to GPLv2+

* Fri Jan 10 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-6%{?dist}
- Patch6 (zabbix-ML-copyright-replacement.patch) was updated.

* Thu Jan 09 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-5%{?dist}
- Change patch number by in order of imported
- Patch6 (zabbix-ML-copyright-replacement.patch) was imported.

* Tue Jan 07 2020 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-4%{?dist}
- Add new package miracle-zbx-js to JavaScript testing on command line

* Tue Dec 24 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-3%{?dist}
- Patch8 (zabbix-reload_config.patch) was reset as release/4.0
- Patch14 (zabbix-show_history_in_event.patch) was reset as release/4.0
- Patch22 (zabbix-fix_some_log.patch) was reset as release/4.0

* Tue Dec 24 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-2%{?dist}
- Patch1 (zabbix-datasql.patch) was updated
- Patch8 (zabbix-reload_config.patch) was updated

* Fri Dec 20 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 5.0.0-1%{?dist}
- Update base zabbix version to 5.0.0

* Thu Dec 12 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.16-1%{?dist}
- Update base zabbix version to 4.0.16
  - Patch24 (zabbix-ML-copyright-replacement.patch) wad updated
  - Patch35 (zabbix-add_dbupdate_option.patch) was updated
  - Patch75 (zabbix-support_mbedtls21.patch) was updated

* Tue Nov 26 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.15-1%{?dist}
- Update base zabbix version to 4.0.15
  - Path85 (zabbix-backport_null_pointer_reference.patch) was removed because it solved in the release

* Tue Nov 05 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.14-1%{?dist}
- Update base zabbix version to 4.0.14
  - Patch82 (zabbix-add_sata_disk_controller_type_to_vmware_lld.patch) was removed because it merged by upstream
- Patch84 (zabbix-add_RTC_value_cache_manage.patch) added to dumping value cache information to log
- Patch85 (zabbix-backport_null_pointer_reference.patch) backported
- Replace required package "vlgothic-p-fonts" to "google-noto-sans-cjk-ttc-fonts" in RHEL8 package

* Tue Oct 29 2019 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 4.0.13-2%{?dist}
- Use php-fpm in RHEL8 web package

* Thu Oct 03 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.13-1%{?dist}
- Update base zabbix version to 4.0.13
- Update mbedTLS version to 2.7.12

* Tue Sep 03 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.12-1%{?dist}
- Update base zabbix version to 4.0.12
- Update curl version to 7.65.3
  - Patch81 (zabbix-add_libcurl_support_for_windows.patch) was updated
- Patch82 (zabbix-add_sata_disk_controller_type_to_vmware_lld.patch) for new controller type SATA
- Patch83 (zabbix-add_RTC_logfile_redirect.patch) is our solution for ZBX-16534
- Source5 (zabbix-logrotate.in) updated to use RTC for log rotate

* Tue Jul 23 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.11-1%{?dist}
- Update base zabbix version to 4.0.11
  - Patch42 (zabbix-fix_sending_recovery_mail.patch) was updated
  - Patch82 (zabbix-backport_ZBX-16270_fix_memory_leak.patch) was removed
  - Patch83 (zabbix-fix-check_escalation_result_string.patch) was merged into upstream
- Update pcre version to 8.43
- Update mbedtls version to 2.7.11
- We can build packages for RHEL8 from this version
- Patch8 (zabbix-reload_config.patch) was updated for increase log_slow_queries value up to 3600000
- Patch71 (zabbix-limit_alert_number.patch) was updated for increase value of trigger ID in discard_alerts

* Wed Jul 03 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.10-1%{?dist}
- Update base zabbix version to 4.0.10
  - Patch22 (zabbix-fix_some_log.patch) was updated
  - Patch40 (zabbix-add_eventlog_ext.patch) was updated
  - Patch81 (zabbix-backport-ZBX-15797-fix-dashboard-map-widget-sub-map-link-behaviour.patch) was removed
  - Patch82 (zabbix-backport-ZBX-16096-fix-invalid-CPU-utilisation.patch) was removed
  - Patch81 (zabbix-add_libcurl_support_for_windows.patch) added
  - Patch82 (zabbix-backport_ZBX-16270_fix_memory_leak.patch) backported from Zabbix 4.0.11
  - Patch83 (zabbix-fix-check_escalation_result_string.patch) added

* Mon Jun 10 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.9-1%{?dist}
- Update base zabbix version to 4.0.9
  - Patch3 (fonts-config.patch) updated because asset files has been moved
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated because asset files has been moved
- Patch48 (zabbix-unsupport_long_item_key.patch) updated. Fix miscorrection at 4.0.7-1 [RCN:16483]
- Patch81 (zabbix-backport-ZBX-15797-fix-dashboard-map-widget-sub-map-link-behaviour.patch) backported from ZBX-15797
- Patch82 (zabbix-backport-ZBX-16096-fix-invalid-CPU-utilisation.patch) backported from ZBX-16096

* Fri Apr 19 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.7-1%{?dist}
- Update base zabbix version to 4.0.7
  - Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) removed. Upstream was fixed in version 4.0.7
  - Patch78 (zabbix-add_stats_queue_description.patch) removed. Upstream was fixed in version 4.0.7
- Update mbedTLS version to 2.7.10 [RCN:16455]

* Fri Apr 05 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.6-3%{?dist}
- Patch75 (zabbix-support_mbedtls21.patch) updated; fixed mistake

* Thu Apr 04 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.6-2%{?dist}
- Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) add, upstream will be fixed in version 4.0.7
- Patch78 (zabbix-add_stats_queue_description.patch) add, upstream will be fixed in version 4.0.7

* Fri Mar 29 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.6-1%{?dist}
- Update base zabbix version to 4.0.6
  - Patch75 (zabbix-support_mbedtls21.patch) updated for 4.0.6
  - Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) removed, imported to upstream
  - Patch78 (zabbix-add_stats_queue_description.patch) removed, it imported to upstream

* Thu Mar 07 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.5-2%{?dist}
- Update base zabbix version to 4.0.5 [RCN:16269]
  - Patch69 (zabbix-add_permitting_to_change_syslog_facility.patch) updated
- icon-sprite.svg updated, background color is changed to transparent [RCN:16284]
- Patch25 (zabbix-ML-copyright-replacement.patch) updated for footer layout [RCN:16283]
- Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) add, this changes will be fixed in version 4.0.6 [RCN:16299]
- Patch78 (zabbix-add_stats_queue_description.patch) add, this changes will be fiexed in version 4.0.6 [RCN:16298]
- Patch79 (zabbix-add_runtime_control_feature_for_snmptrapper.patch) add, This is new feature of runtime control [RCN:16253]
- Patch80 (zabbix-fix_supervising_process.patch) add, fix systemd supervising process issue
- Source40 (zabbix-wait-pidfile.sh) add, this script is used to wait generating pid file

* Tue Feb 05 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.4-1%{?dist}
- Update base zabbix version to 4.0.4 [RCN:16206]
  - Patch25 (zabbix-ML-copyright-replacement.patch) updated
- Update base mbedtls versio to 2.7.9 [RCN:16201]
- Patch71 (zabbix-limit_alert_number.patch) updated, Fix build warning

* Thu Jan 17 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.3-2%{?dist}
- Patch14 (zabbix-show_history_in_event.patch) updated
- Patch76 (zabbix-translate_show_history.patch) updated

* Thu Jan 10 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.3-1%{?dist}
- Update base zabbix version to 4.0.3 [RCN:16171]
  - Patch14 (zabbix-show_history_in_event.patch) updated
  - Patch76 (zabbix-translate_show_history.patch) fix [RCN:15984]

* Fri Dec 14 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.2-3%{?dist}
- Patch40 (zabbix-add_eventlog_ext.patch) fix [RCN:16036]

* Mon Dec 10 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.2-2%{?dist}
- Update base mbedtls version to 2.7.8 [RCN:16080]

* Thu Nov 29 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.2-1%{?dist}
- Update base zabbix version to 4.0.2 [RCN:16058]
  - Patch42 (zabbix-fix_sending_recovery_mail.patch) updated
- Patch75 zabbix-support_mbedtls21.patch fixed, Display mbedtls version [RCN:16060]

* Tue Nov 20 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.1-1%{?dist}
- Update base zabbix version to 4.0.1 [RCN:16030]
  - Patch0 (config.patch) updated
- Patch40 (zabbix-add_eventlog_ext.patch) add [RCN:16036]
- Patch42 (zabbix-fix_sending_recovery_mail.patch) add [RCN:10550]
- Patch8 (zabbix-reload_config.patch) update, Fix typo [RCN:15985]
- Patch24 (zabbix-add_dbupdate_option.patch) fixed, Replace product name in browser warning page [RCN:15443]
- Update base mbedtls version to 2.7.7 [RCN:16047]
- Patch22 (zabbix-fix_some_log.patch) fix, Support utf16 [RCN:10018]

* Mon Nov 05 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-14%{?dist}
- Patch71 (zabbix-limit_alert_number.patch) apply again

* Fri Nov 02 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-13%{?dist}
- Patch24 (zabbix-add_dbupdate_option.patch) fixed, login page title
- Patch33 (zabbix-add_graph_csv_output.patch) fixed, csv output item name expand
- Patch40 (zabbix-add_eventlog_ext.patch) temporary not applying
- Patch42 (zabbix-fix_sending_recovery_mail.patch) temporary not applying
- Patch51 (zabbix-support_tabulardatasupport_java_type.patch) temporary not applying
- Patch71 (zabbix-limit_alert_number.patch) temporary not applying

* Thu Oct 11 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-12%{?dist}
- Removed unnecessary patches
  - Patch54 (zabbix-checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.patch) no longer support Solaris 9
  - Patch41 (zabbix-fix_memory_leak.patch) no longer required
  - Patch66 (zabbix-fix-ip-address-check-for-auto-registration.patch) no longer required
- Fix Patch0 (config.patch) need not to change BRAND_CONFIG_FILE_PATH
- Fix Patch35 (zabbix-add_dbupdate_option.patch) dbupdate option require message
- Change Patch71 (zabbix-limit_alert_number.patch) ZBX_RTC_DISCARD_ALERTS definition (16 -> 249)
- Patch22 (zabbix-fix_some_log.patch) temporary not applying
- Patch38 (zabbix-fix_eventlog_message_logic.patch) temporary not applying
- Patch43 (zabbix-fix_query_wrong_last_data.patch) temporary not applying
- Document file modified
- Change the build option of mbedtls and pcre on AIX

* Tue Jan 23 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-11%{?dist}
- Update base zabbix version to 4.0.0
  - Removed unnecessary sources
    - Source2,4,11 (zabbix-server.init, zabbix-proxy.init, zabbix-java-gateway.init)
      no longer support server on SysV system
    - Source6-8 (zabbix_agentd.conf, zabbix_server.conf, zabbix_proxy.conf)
      Fix each Zabbix configure by patch format [RCN:14898]
    - Source12-16,18 (logo.png, zabbix.png, zabbix_bb.png, zabbix_od.png, welcome_screen-original-blue.png, background.png)
      no target to replace in Zabbix
    - Source28,29 (After-mysqld-service.conf, After-postgresql-service.conf)
      same functionally described in zabbix-server.service and zabbix-proxy.service
  - Removed unnecessary patches
    - Patch12 (zabbix-add_event_filter.patch) Zabbix provides equivalent functionality
    - Patch26 (zabbix-hpux_compat.patch) no longer support HP-UX 11i v2
    - Patch42 (zabbix-fix_sending_recovery_mail.patch) Zabbix provides workaround
    - Patch55 (zabbix-fix_undeclared_locations_in_sensors_file.patch) no longer support ML3 (Linux kernel 2.4)
    - Patch65 (zabbix-first_aid_for_round_function_unimplement_solaris9.patch) no longer support Solaris 9
    - Patch76 (zabbix-fix_make_install_DESTDIR.patch) removed because fixed by [ZBX-13803]
  - Merge patches
    - Patch62 (zabbix-update_config_help_for_slow_queries.patch) merged into Patch8 (zabbix-reload_config.patch)
    - Patch77 (zabbix-show_history_filter_in_problem_view.patch) merged into Patch14 (zabbix-show_history_in_event.patch)
    - Patch25 (zabbix-ML-copyright-replacement-part2.patch) merged into Patch24 (zabbix-ML-copyright-replacement.patch)
    - Patch34 (zabbix-windows-copyright.patch) merged into Patch24 (zabbix-ML-copyright-replacement.patch)
    - Patch68 (zabbix-fix_item_queue_exclusion_list.patch) merged into Patch40 (zabbix-add_eventlog_ext.patch)
  - Partially reconstructure patches
    - Patch70 (zabbix-fix_zabbix_configure_file_for_miracle_zbx)
      SyslogFacility relative describes moved into Patch69 (zabbix-add_permitting_to_change_syslog_facility.patch)
  - Modified by implementation change
    - Patch33 (zabbix-add_graph_csv_output.patch) change csv link generation logic
    - Patch43 (zabbix-fix_query_wrong_last_data.patch) history page sort order by "clock" and "ns" instead of "id" [RCN:]
    - Patch75 (zabbix-support_mbedtls21.patch) add insufficient implementation
  - Add new feature
    - Patch77 (zabbix-show_history_filter_in_problem_view.patch) add show_history filter in problem view
  - Add new sources
    - Source39 (brand.conf.php) part of copyright replacement on frontend
  - Forward port from 3.0.13 to 3.0.22
    - Source2,4,11 (zabbix-server.init, zabbix-proxy.init, zabbix-java-gateway.init)
      fixed, add "KILL_DELAY" environment varible to zabbix-server, zabbix-proxy and zabbix-java-gateway [RCN:12107]
    - Source33 (zabbix_java_gateway-sysd) fixed, fix command line options [RCN:15678]
    - Patch24 (zabbix-ML-copyright-replacement.patch) fixed, fix copyright notice in browser warning page [RCN:15443]
    - Patch40 (zabbix-add_eventlog_ext.patch) fixed, fix agent crash by "eventlog_ext[]" [RCN:15376]
    - Patch71 (zabbix-limit_alert_number.patch) added, limit alert number in alert burst [RCN:8198]
    - zabbix.spec
      - Add checking for mbedtls [RCN:15385]
- Update base mbedtls version to 2.7.5
- Add base pcre version 8.42
- Fix Patch8 (zabbix-reload_config.patch) to support printing help configuration for LogSlowQueries option on proxy [RCN:13337]
- Fix Patch35 (zabbix-add_dbupdate_option.patch) to add usage_message [RCN:15885]
- Fix Patch60 (zabbix-add_macro_ITEM.TYPE.patch) fix row index [RCN:12117]

* Tue Nov 14 2017 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.13-1%{?dist}
- Update base zabbix version to 3.0.13
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated
  - Patch68 (zabbix-fix_for_aix61_2.patch) for support old aix6.1
- Fix the return value is incorrect for "system.cpu.discovery" and merge patches "zabbix-fix_for_aix61_2.patch" into "zabbix-fix_for_aix61.patch" [RCN:14850]
- Fix incorrect owner setting in Solaris 11 [RCN:14704]
- Add new patch zabbix-fix_item_queue_exclusion_list.patch [RCN:14822]
- Add new patch zabbix-add_permitting_to_change_syslog_facility.patch [RCN:8176]

* Tue Oct 03 2017 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.11-1%{?dist}
- Update base zabbix version to 3.0.11
- Fix an issue to fail to upgrade or downgrade Windows Agent from any version between 3.0.0-1 - 3.0.4-1 to any version between 3.0.5-1 - 3.0.10-1 [RCN:14628]

* Fri Jul 28 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.10-1%{?dist}
- Update base zabbix version to 3.0.10
  - Patch45 (zabbix-fix_zbx_item_logtype_string.patch) removed, LLC was fix this issue [RCN:11030] [ZBX-12012]
- Update zabbix_agentd.conf for Windows [RCN:14255]
- Add to support silent installation in MLZBX installer for Windows [RCN:14313]
- Fix patch zabbix-add-enable_set_history_trends_on_web_monitoring.patch [RCN:14234]

* Tue May 30 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-3%{?dist}
- Add new patch zabbix-fix-ip-address-check-for-auto-registration.patch [RCN:14251]
- Add "Options -FollowSymLinks" in zabbix-web.conf [RCN:14123]

* Mon May 22 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-2%{?dist}
- Remove "#Pidfile..." from zabbix_agentd.conf on windows [RCN:14153]

* Thu Apr 27 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-1%{?dist}
- Update base zabbix version to 3.0.9
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated, copyright year
  - Patch34 (zabbix-windows-copyright.patch) updated, copyright year
  - Patch60 (zabbix-add_macro_ITEM.TYPE.patch) changed, LLC was change DBget_item_value() behavior [ZBX-11481]
  - Patch63 (zabbix-fix_tls_mbedtls.patch) removed, LLC was fix this issue [RCN:13726] [ZBX-11101]
  - Patch65 (zabbix-first_aid_for_round_function_unimplement_solaris9.patch) created, modified algorithm without use round()
- Change Solaris 9, 10 package to make "*.conf.new" instead of "*.conf" [RCN:14003]
- Fix zabbix-web.conf for security improvement [RCN:14123]

* Tue Jan 24 2017 Vincent Dao <vincent.dao@miraclelinux.com> - 3.0.7-1%{?dist}
- Update base zabbix version to 3.0.7
- Update zabbix-ML-copyright-replacement-part2.patch (Patch25)
- Add zabbix-fix_zbx_execute_crash_by_sigpipe.patch for fixing server side
  custom script and global script crashing in action, which have stdout output
  and using other than MySQL and MariaDB as DB (Patch64)[RCN:13617]
- Generate .pdb files for zabbix_get and zabbix_sender on Windows [RCN:13971]

* Mon Nov 28 2016 Vincent Dao <vincent.dao@miraclelinux.com> - 3.0.5-1%{?dist}
- Update base zabbix version to 3.0.5
- Remove zabbix-fix_translate.patch because it is already applied in original zabbix
- Add zabbix-update_config_help_for_slow_queries.patch to support printing help configuration for LogSlowQueries option (Patch62)[RCN:13337]
- Fix incorrect comment for PidFile in AIX zabbix_agentd.conf [RCN:13567]
- Change application name and icon for Windows agent installer [RCN:13590]
- Add zabbix-fix_tls_mbedtls.patch [patch 63] for fix crash on zabbix server relevant to mbedtls [RCN:13726]

* Mon Oct 24 2016 Daiki Hamamoto <daiiki.hamamoto@miraclelinux.com> - 3.0.4-1%{?dist}
- Update base zabbix version to 3.0.4
- Add new syncspec.sh[RCN:13441]
- Add new favicon[RCN:13492]
- Add zabbix-fix_translate.patch for build[RCN:13546]
- Fix Event severity strings ade edited by "Trigger severities" menu[RCN:13474]
- Fix graph csvfile cannot output[13462]
- Remove zabbix-fix_SQL_injection_fixed_in_3.0.4.patch
- Remove zabbix-fix_delta_type_of_templated_items.patch
- Fix zabbix-java-gateway.init[RCN:13096]

* Tue Jul 26 2016 Ha Vo <ha.vo@miraclelinux.com> - 3.0.3-1%{?dist}
- Update base zabbix version to 3.0.3
- Remove zabbix-fix_delta_type_of_templated_items.patch because it is already applied in original zabbix
- Update MR-zabbix-checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.patch to fix wrong condition of checking unsupported sixth parameter in proc.cpu.util
- Updated zabbix spec file for RCN12700 to fix package requirement definition for php54 on AMZ
- Applied KillMode=mixed for zabbix-proxy.service and zabbix-java-gateway.service to fix RCN12321: children processes will be remained in force stopping by systemd
- Backport SQL injection fix from 3.0.4 (ZBX-11023)[RCN:13092]

* Mon Apr 11 2016 Jack Ngo <jack.ngo@miraclelinux.com> - 3.0.1-1%{?dist}
- Update base zabbix version to 3.0.1
- Unchange delta template items (Patch59)[RCN:12329]
- Remove backport patches from previous version (Patch59, Patch60)
- Remove zabbix-force_redirect_std.patch (Patch30)[RCN:12582]
- Remove unused patches (Patch2, Patch4, Patch11, Patch13, Patch15,
  Patch16, Patch17, Patch28, Patch29, Patch31, Patch37, Patch39,
  Patch47, Patch49, Patch50, Patch52, Patch53)
- Add zabbix-add_macro_ITEM.TYPE.patch to support macro {ITEM.TYPE} (Patch60)[RCN:12117]
- Add zabbix-update_to_tlsv1.patch to update TLS version (Patch61)[RCN:12489]
- Update zabbix.spec file to update php version from 5.0 to 5.4 [RCN:12604]
- Update zabbix.spec file to change from /etc/httpd/conf.d/miracle-zbx.conf" to "/etc/httpd/conf.d/zabbix.conf [RCN:12607]
- Update zabbix.spec file to change symbolic linked of /etc/zabbix/alertscripts to alertscripts directory [RCN:12603]
- Fix the spec file to use init script for ML6 java-getway and fix the rpm package dependency.

* Thu Mar 10 2016 Jack Ngo <jack.ngo@miraclelinux.com> - 3.0.0-1%{?dist}
- Update base zabbix version to 3.0.0
- Remove unnecessary library from agent, sender and get[RCN:12422]
- Add zabbix-fix_crashing_in_escalator_process.patch (Patch59)[RCN:12452]
- Add zabbix-fix_memory_leak_in_history_cache.patch (Patch60)[RCN:12453]
- Remove unused .orig files[RCN:12343]
- Rename as zabbix-agent.service[RCN:12086]
- Fix errors when install miracle-zbx-web packages[RCN:12468]
- Obsoletes zabbix, zabbix-server and zabbix-proxy package[RCN:12446]
- Provides same zabbix-* packages[RCN:12197]
- Update zabbix-web.conf for 3.0.0[RCN:12502]
- Remaking java-gateway files[RCN:12503]

* Fri Jan 29 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0beta2-1%{?dist}
- Update base zabbix version to 3.0.0beta2

* Thu Jan 14 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha6-1%{?dist}
- Update base zabbix version to 3.0.0alpha6
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch8)

* Wed Dec 23 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha5-1%{?dist}
- Update base zabbix version to 3.0.0alpha5
- Update zabbix-reload_config.patch (Patch8)
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:9359]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]

* Fri Oct 16 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha3-1%{?dist}
- Update base zabbix version to 3.0.0alpha3
- Update zabbix-windows_build.patch (Patch7)
- Update zabbix-reload_config.patch (Patch8)
- Update zabbix-add_dbupdate_option.patch (Patch35)
- Update zabbix-add-cpu_time-to-proc_info-on-windows.patch (Patch46)[RCN:11018]
- Update zabbix-unsupport_long_item_key.patch (Patch48)[RCN:11249]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch49)[RCN:11352]
- Update zabbix-show_history_in_event.patch (Patch49)[RCN:10240]
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:9359]
- Update zabbix-fix_undeclared_locations_in_sensors_file.patch (Patch55)
- Update zabbix-fix_building_windows_in_3.0.0alpha3.patch (Patch56)
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch55)[RCN:11981]

* Wed Sep 09 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha2-1%{?dist}
- Update base zabbix version to 3.0.0alpha2
- Update config.patch (Patch0) [RCN:]
- Update zabbix-2.5.0-windows_build.patch (Patch7)
- Update zabbix-2.5.0-reload_config.patch (Patch8)
- Update zabbix-2.2.6-add_event_filter.patch (Patch12)
- Update zabbix-2.2.6-show_history_in_event.patch (Patch14)[RCN:10240]
- Update zabbix-2.0.8-ML-copyright-replacement.patch (Patch24)[RCN:9257]
- Update zabbix-2.5.0-force_redirect_std.patch (Patch24)[RCN:9257]
- Update zabbix-2.2.3-add_dbupdate_option.patch (Patch35)
- Update zabbix-2.2.8-add_eventlog_ext.patch (Patch40)[RCN:11089]
- Update zabbix-2.2.7-fix_query_wrong_last_data.patch (Patch43)[RCN:10870]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]
- Update zabbix-2.2.7-fix_sending_recovery_mail.patch (Patch42)[RCN:10550]
- Remove zabbix-2.2.6-fix_command_injection.patch (Patch39)[RCN:10811]
- Remove zabbix-2.2.9-add_missing_socket_closing.patch (Patch47)[RCN:11310]
- Remove zabbix-2.2.9-fix_flickerfreescreen.patch (Patch49)[RCN:11256]
- Remove zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch (Patch50)[RCN:11391]
- Remove zabbix-2.2.9-fix_warning_when_no_host_selected.patch (Patch52)[RCN:11454]
- Remove zabbix-2.2.9-add_disabling_housekeeping_feature.patch (Patch53)[RCN:11514]

* Tue May 12 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.9-3%{?dist}
- Add zabbix-2.2.9-add_disabling_housekeeping_feature.patch for disabling housekeeping feature by "HousekeepingFrequency=0" (Patch53)[RCN:11514]

* Fri Apr 10 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-2%{?dist}
- Add zabbix-2.2.9-unsupport_long_item_key.patch to fix command fails when the length item key greater than MAX_STRING_LEN (Patch48)[RCN:11249]
- Add zabbix-2.2.9-fix_flickerfreescreen.patch to fix CSV output extension for graph data destroys web monitoring's "response time" graph function (Patch49)[RCN:11256]
- Add zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch to fix Zabbix servers crash on start with ValueCacheSize=0 (Patch50)[RCN:11391]
- Add zabbix-2.2.9-support_tabulardatasupport_java_type.patch to support data object type "javax.management.openmbean.TabularDataSupport" (Patch51)[RCN:11327]
- Add zabbix-2.2.9-fix_warning_when_no_host_selected.patch to fix raising WARNING in Web Interface when edit template with no host selected (Patch52)[RCN:11454]

* Wed Mar 18 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-1%{?dist}
- Update base zabbix version to 2.2.9
- Update zabbix-2.2.9-reload_config.patch for add "VMwarePerfFrequency" and "VMwareTimeout" parameters configure (Patch8)
- Update zabbix-2.2.9-windows-copyright.patch to update years of copyright 2001->2015(Patch34)
- Remove zabbix-2.2.6-fix_eventlog6_itself_broken.patch because the original zabbix already fixed this problem (Patch37)[RCN:10575]
- Add zabbix-2.2.9-add-cpu_time-to-proc_info-on-windows.patch to add a new parameter atime for proc_info key (Patch46)[RCN:11018]
- Update zabbix-2.2.9-add_graph_csv_output.patch to reduce three CSV output buttoms in graph to one (Patch33)[RCN:10019]
- Add zabbix-2.2.9-add_missing_socket_closing.patch to add missing socket closing to avoid large number of opened sockets (Patch47)[RCN:11310]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch to fix MIRACLE ZBX proxy crashed by trend cache removing (Patch44)[RCN:11352]

* Wed Dec 17 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.8-1%{?dist}
- Update base zabbix version to 2.2.8
- Add zabbix-2.2.8-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:10993]
- Add zabbix-2.2.8-fix_zbx_item_logtype_string.patch to fix C function "zbx_item_logtype_string()" doesn't support eventlog level "critical" & "verbose" (Patch45)[RCN:11030]
- Update specfile to add BuildRequires gettext package [RCN:11015]
- Update zabbix.spec file and add After-mysqld-service.conf, After-postgresql-service.conf, zabbix-proxy.service, zabbix-server.service for [RCN:10644] 
- Update zabbix-2.2.8-add_eventlog_ext.patch to support ITEM_LOG macro for eventlog_ext (Patch40)[RCN:11089]

* Wed Oct 29 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.7-1%{?dist}
- Update base zabbix version to 2.2.7
- Update Patch8 for add "EnableSNMPBulkRequests" parameter config
- Add zabbix-2.2.7-add_eventlog_ext.patch for eventlog extend  (Patch40)[RCN:9652]
- Add zabbix-2.2.7-fix_memory_leak.patch for fixing memory leak (Patch41)[RCN:10879]
- Add zabbix-2.2.7-fix_sending_recovery_mail.patch for fixing sending recovery mail (Patch42)[RCN:10550]
- Add zabbix-2.2.7-fix_query_wrong_last_data.patch for fixing query wrong the last data for the lastest data screen (Patch43)[RCN:10870]
- Update the configuration file of zabbix_server.conf and zabbix_proxy.conf for adding the option EnableSNMPBulkRequests and change the range of Shared memory size [RCN:10871]

* Wed Oct 15 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-2%{?dist}
- Change package name rule like from "2.0.12-2ML6" to "2.0.12-2.ML6"
- Add zabbix-2.2.6-fix_command_injection.patch for fixing command injection vulnerability in "action" executing script media (Patch39)[RCN:10811]

* Thu Sep 04 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-1%{?dist}
- Update to 2.2.6
- Update zabbix-2.2.6-add_event_filter.patch for version 2.2.6-1 (Patch12)
- Update zabbix-2.2.6-show_history_in_event.patch for version 2.2.6-1 (Patch14)[RCN:10240]
- Update zabbix-2.2.6-fix_format_message_crash.patch for version 2.2.6-1 (Patch36)
- Update specfile to change the file included in java-gateway binary from org-json-2010-12-28.jar to android-json-4.3_r3.1.jar
- Update zabbix-2.2.6-datasql.patch for fixing PostgreSQL + ZBX should show Japanese interface as default (Patch1)[RCN:10268]
- Fix "Zabbix" string to "MIRACLE ZBX" and "www.zabbix.com" to "www.miraclelinux.com" in spec file [RCN:10278]
- Add zabbix-2.2.6-fix_eventlog6_itself_broken.patch for the eventlog itself is broken (Patch37)[RCN:10575]
- Add ML7, RHEL7, CentOS7 support with systemd support [RCN:10644]
- Add zabbix-2.2.6-fix_eventlog_message_logic.patch for fixing eventlog message login (Patch38)[RCN:9697]

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1a%{?dist}
- Replace background.png

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1%{?dist}
- Update base zabbix version to 2.2.3
- Add zabbix-2.2.3-add_dbupdate_option.patch for dividing dbupdate operation from usual daemon starting.
- Add zabbix-2.2.3-fix_format_message_crash.patch for fixing FormatMessage() crash in eventlog reading.

* Thu Oct 31 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-3%{?dist}
- Add skip old data parameter to eventlog6[] (Patch31)[RCN:9594]
- Fix eventlog[] which call free() twice in some specific situation (Patch29)[RCN:9594]
- Fix eventlog[] message (Patch29)(Patch5)[RCN:9594]

* Fri Oct 04 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-2%{?dist}
- Update for avoiding init script failure if /etc/zabbix/init/ doesn't have any file [RCN:9071]
- Add backporting patch zabbix-2.0.8-fix_sql_injection_ZBX7091.patch for fix sql injection (ZBX-7091)(Patch32)[RCN:9498]
- Add zabbix-2.0.8-add_graph_csv_output.patch for adding csv output button for graph (Patch33)[RCN:9427]
- Add backporting zabbix-2.0.8-fix_updating_data_in_proxy_ZBX6929.patch for fix updating lastlogsize and mtime in proxy (Patch34)[RCN:9463]
- Update MIRACLE ZBX version number to web frontend.(Patch24)[RCN:9257]
- Fix lockfile name problem in init script same as init script name [RCN:9526]

* Tue Sep 03 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.8-1%{?dist}
- Update base zabbix version to 2.0.8
- Add zabbix-2.0.8-host-import.patch for fix failed import host importing (Patch25)[RCN:9335]
- Add zabbix-2.0.8-hpux_compat.patch fix hp-ux condition compatibility (Patch26)[RCN:9302]
- Updated zabbix.spec to add MIRACLE ZBX release number to "-V" option and php definition [RCN:9257]
- Updated zabbix.spec to fix zabbix_server.conf permission [RCN:9107]
- Updated init for execute script in /etc/zabbix/init/ [RCN:9071]
- Add zabbix-2.0.8_long_telnet_command_fix.patch for fix unneeded characters error in zabbix telnet (Patch27)[RCN:8657]
- Add zabbix-2.0.8-avoid_proxy_stopping.patch avoid stopping of the Zabbix proxy (Patch28)[RCN:8645]
- Add zabbix-2.0.8-fix_eventlog_message_logic.patch for fix eventlog message logic (Patch29)[RCN:8373]
- Add zabbix-2.0.8-force_redirect_std.patch fix alerter outputs log after is been logrotated (Patch30)[RCN:9359]
- Update zabbix.spec for OS compatibility reason and added _default_patch_fuzz 2 [RCN:9367][RCN:9364]
- Add patch zabbix-2.0.8-add_eventlog6_key.patch to support eventlog6[] key using always eventing 6.0 API in after Windows 2008 (ZBX-2008)(Patch31)[RCN:7086]
- Update zabbix-2.0.8-ML-copyright-replacement.patch fix zabbix SIA version in the copyright (Patch24)[RCN:9389]
- Update zabbix-2.0.8-fix_some_log.patch add some log message for supplying better support (Patch22)[RCN:8694]

* Tue Aug 06 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.7-1%{?dist}
- update to 2.0.7
- Fix history column in event page (Patch14) [RCN:9276]

* Mon May 20 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.6-1%{?dist}
- update to 2.0.6
- Fix Logo, trademark and copyright (Patch24) [RCN:8720]
- Add some log message for supplying better support (Patch22) [RCN:8694]
- Fix possibility of not sending some data for Proxy Data Sender (Patch23) [RCN:8646]

* Thu Feb 14 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.5-1%{?dist}
- update to 2.0.5
- Updated spec file for compatibilty with Amazon EC2.
- Update fix for add event filter (Patch12).
- Fix support for HP-UX 11i2 and earlier version (Patch19).
- Fix snmp check timeout on zabbix server (Patch20) (ZBX-4393).
- Add if lastclock is zero avoid evaluate nodata (Patch21) (ZBX-6134).

* Wed Dec 12 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.4-1%{?dist}
- Update to 2.0.4
- Removed patch fix sigbus crash in HP-UX and Solaris already merged upstream (Patch15).
- Fix "evaluate_STR()" and "evaluate_LOGEVENTID()" memory leak (Patch17).
- Fix windows 2000 using dinamically load Dnsapi.dll (ZBX-5883)(Patch18).
- Updated spec file for remove .orig from database.

* Tue Oct 30 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.3-1%{?dist}
- Update to 2.0.3
- Fixed to fit new version (Patch2)
- Fixed to fit new version (Patch3)
- Fixed to fit new version (Patch7)
- Fixed to fit new version (Patch8)
- Fixed to fit new version (Patch11)
- Add additional event filter (Patch12)
- Fix java gateway pid (Patch13)
- Add show history column in event page (Patch14)
- Fix sigbus crash in HP-UX and Solaris (Patch15)
- Update zabbix.spec file
- Update zabbix-java-gateway.init to wait zabbix java gateway completely killed.
- Fix java log directory (Patch16)
- Update zabbix.spec file because as write in the Zabbix documentation only scheme.sql is needed on Zabbix proxy packages.
- Updated file zabbix-agent.init.aix fix the right path of the configuration file for Zabbix-agent.
- Added requires conditional in zabbix.spec file for Java Gateway package ML5 jdk ML6 Java.
- Replaced logo.

* Fri Jul 13 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 2.0.1-1%{?dist}
- Update to 2.0.1
- Remove patches for 1.8
- Add patches for 2.0

* Thu Jun 28 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.14-1%{?dist}
- Update to 1.8.14

* Tue May 29 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.13-1%{?dist}
- Update to 1.8.13

* Tue May 8 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.12-1%{?dist}
- Update to 1.8.12
- Fix MAX_DISKDEVICES (ZBXNEXT-801) (Patch44)
- Fix default time period (ZBX-2885) (Patch45)

* Wed Mar 21 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.11-1%{?dist}
- Update to 1.8.11

* Mon Dec 5 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.9-1%{?dist}
- Update to 1.8.9

* Mon Nov 7 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-2%{?dist}
- Fix CFLAGS option (Patch42)
- Fix ODBC structure (Patch43)

* Wed Sep 28 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-1%{?dist}
- Update to 1.8.7
- Add MIRACLE LINUX V6.0 and Red Hat Enterprise Linux 6 support
- Fix server crash (ZBX-4099) (Patch41)

* Fri Aug 26 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-2%{?dist}
- Fix show history in event (Patch40)

* Thu Jul 21 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-1%{?dist}
- Update to 1.8.5
- Fix action mismatch (Patch39)

* Fri Apr 22 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.4-2%{?dist}
- Fix map element dose not work (ZBX-3552) (Patch30)
- Fix map icon created twice (ZBX-3626) (Patch31)
- Fix importing map icon label (ZBX-3682) (Patch32)
- Fix disabled item's triggers are also displayed in 'status of triggers' (ZBX-3576) (Patch33)
- Fix not found style files (ZBX-3649) (Patch34)
- Runtime control of zabbix daemons (ZBXNEXT-416) (Patch35)
- Fix net.tcp.dns to enable selecting nameserver (Patch36)
- Fix template unlink (Patch37)
- Fix item not supported (Patch38)

* Fri Feb 4 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.4-1%{?dist}
- Update to 1.8.4
- Add windows build script (Patch29)

* Tue Feb 1 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-6%{?dist}
- Add MIRACLE LINUX V3.0 and Red Hat Enterprise Linux 3 support

* Mon Jan 24 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-5%{?dist}
- Fix debug message of poller interval option (Patch27)

* Fri Jan 14 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-4%{?dist}
- Add poller interval option (Patch27)
- Add explanation of poller interval option in server and proxy config file
- Add event filter (Patch28)
- Change defines.inc.php as non config file

* Wed Dec 29 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-3%{?dist}
- Change MAX_DISKDEVICES to 128 and refactor (Patch19)
- Enable to send active check to multi server (Patch22)
- Change Patch18 and VisualStudio project files to fit Patch22 (Patch18)
- Fixed possible stop to send data from proxy after shutdown of MySQL server (ZBX-3085) (Patch23)
- Fixed host profiles export (ZBX-2888) (Patch24)
- Fixed Japanese translation (Patch25)
- Fixed not found style files (ZBX-2937) (Patch26)
- Add initial db files for zabbix-proxy package

* Wed Sep 22 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-2%{?dist}
- Fix compile error in AIX 6.1 (Patch21)

* Thu Aug 19 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-1%{?dist}
- Update to 1.8.3
- Remove patches for 1.6
- Add patches for 1.8

* Wed Aug 18 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-7%{?dist}
- Change code not to use seteuid, setegid under HP-UX for HP-UX Version 2 compatibility (Patch48)

* Tue Jul 27 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-6%{?dist}
- Add support for new windows eventlog system backported from ZBX-2008 (Patch46)
- Fix displaying too big eventid in Windows (Patch46)

* Tue Jul 13 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-5%{?dist}
- revert Patch43
- revert ZBX-2062 from original source (Patch47)

* Thu Jul 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-4%{?dist}
- Add optional feature to show eventid in eventlog (Patch45)

* Mon Jun 28 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-3%{?dist}
- Fix not sending alert when receive error log or trap same time (Patch43)
- Add optional feature to show history log in event screen (Patch44)

* Mon Jun 7 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-2%{?dist}
- Fix log is not collected when long log item key using multibyte string (Patch39)
- Fix enable/disable item action does not work in application screen (Patch40)
- Fix graph view when select over 372 days (Patch41)
- Fix vfs.dev.read vfs.dev.write to get values for partitions in old 2.6 kernel (Patch42)
- Fix vfs.dev.read vfs.dev.write to get sps, ops for partitions (Patch42)
- Fix vfs.dev.read vfs.dev.write to get values for LVM devices (Patch42)

* Thu Apr 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-1%{?dist}
- Update to 1.6.9
- Fix event time setting logic (Patch37)
- Add more event filter option (Patch38)

* Fri Mar 12 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-5%{?dist}
- Fix counting string function in trigger (Patch32)
- Fix label text is not in the right place on map (update Patch9)
- Fix color selection frame is not appeared (Patch34)
- Fix color configuration is not upgraded correctly from 1.4 to 1.6  when use Japanese (Patch35)
- Fix map icon label is not used map default label location setting (Patch33)
- Add extra encoding mode to process lf char code in windows. Merge diff with Patch31 (Patch36)

* Tue Jan 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-4%{?dist}
- Fixed stopping log monitoring every 2 minutes when using windows agent with encoding option (Patch31)

* Fri Jan 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-3%{?dist}
- disable with-openipmi option when not ML5
- add BuildRequires OpenIPMI-devel

* Thu Jan 7 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-2%{?dist}
- refactored and added multibyte charactor conversion in windows agent(Patch31)
- fixed some typo in spec file and file names

* Wed Jan 6 2010 Kodai Terashima <terashima@miraclelinux.com> 1.6.8-1%{?dist}
- Update graph_description.patch to localize available chart and pie chart (Patch9)
- Merge frontend.patch into graph_description.patch (Patch4, Patch9)
- Add patch to fix problem doesn't show screen (Patch29)
- Add patch to fix show active check data on Latest Data screen (Patch30)
- enable with-openipmi option in configure script
- Update Japanese translation (Source7)

* Mon Nov 16 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.7-2%{?dist}
- Update to 1.6.7
- remove already included patches (Patch10,15,17)

* Fri Nov  6 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.6-1%{?dist}
- Update to 1.6.6
- remove already included patches (Patch10,15,17)
- add logrotated file support (Patch23)
- fix processing of logs and eventlogs which become empty only on the agent side (Patch24)
- fix processing of proc_info[] function (Patch25)
- fix VisualStudio project file (Patch26)
- remove broken character which affects in compiling with VisualStudio (Patch27)
- fix package build environment and recompile packages to fix system.cpu.util function
- fix copyright-year in japanese (source7)
- remove sqlite build process from spec file

* Wed Sep 16 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-6%{?dist}
- fix FormatMessage crash in case of aInsertStrs having more than 64 elements (Patch19)
- add a patch to select Japanese locale by default (Patch 20)
- add a patch to add "Powered by MIRACLE LINUX" on footer (Patch21)
- add a powered_by_miracle logo (Source6)
- add a ja_jp.inc.php and delete locale-ja_jp.patch (Source7, Patch15)
- add script for blocking update zabbix packages by axtu in zabbix.spec
- add php options for Japanese in zabbix-web.conf
- add a patch to allow multibyte trigger expression (Patch22)

* Fri Aug 28 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.4-5%{?dist}
- add system.swap.in and system.swap.out patch for LVM devices and other device-mapper devices (Patch16,17)
- fix diff path in windows patch files to patch '-p1' option (Patch18)

* Mon Aug 17 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-4%{?dist}
- Add a patch for fix crash windows 2000 agent (Patch16,17)

* Wed May 13 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-3%{?dist}
- Update Japanese translation (AXBug#6304, Patch15)
- modify zabbix-1.6.4-trigger_cond_multibyte_param.patch (AXBug#6306)

* Tue Apr  7 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-2%{?dist}
- merge Asianux modifications to the new package which based on 1.4.6-1.1%{?dist}
  - When updating zabbix, restart zabbix-server, zabbix-agent and zabbix-proxy
  - modify zabbix-web.conf not to be able to access zabbix-web page by default
    (AXBug#4525)
  - replace Source1
  - fix the bug that cannot choose Japanese language (Patch3, AXBug#4614)
  - modify date format for Chinese (Patch6) and Korean (Patch14) (AXBug#4801)
  - fix copyright-year in locales file(Patch7)
  - fix minor bugs related to CKJ locales(Patch9,10)
  - allow item/trigger parameter to set multibyte character(Patch11)
  - fix exhausted memory by using DB cursor(Patch12)
  - add converter from SJIS to UTF-8 for Windows Event Log(Patch13)
  - fix locale files to modify version by itself

* Mon Apr 6 2009 Yoshihiro Kagawa <ykagawa@miraclelinux.com> - 1.6.4-1
- Update to 1.6.4

* Fri Jan 23 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-2
- Rebuild for MySQL 5.1.X

* Fri Jan 16 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-1
- Update to 1.6.2: http://www.zabbix.com/rn1.6.2.php

* Thu Dec  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Fix BZ#474593 by adding a requires.

* Wed Nov  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Update to 1.6.1

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1.1
- Bump release because forgot to add some new files.

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1
- Update to final 1.6

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.4.6-2
- Fix license tag.

* Fri Jul 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Jul 07 2008 Dan Horak <dan[at]danny.cz> - 1.4.5-4
- add LSB headers into init scripts
- disable internal log rotation

* Fri May 02 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-3
- Seems the zabbix folks replaced the original 1.4.5 tarball with
  an updated tarball or something -- it actually does contain a
  tiny bit of additional code... So update to newer 1.4.5.

* Tue Apr 08 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-2
- Fix building w/postgresql (#441456)

* Tue Mar 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- Update to 1.4.5

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.4-2
- Bump and rebuild with gcc 4.3

* Mon Dec 17 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.4-1
- New upstream release
- Fixes two crasher bugs in 1.4.3 release

* Wed Dec 12 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.3-1
- New upstream release

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.4.2-5
- Rebuild for deps

* Sat Dec 01 2007 Dan Horak <dan[at]danny.cz> 1.4.2-4
- add security fix (#407181)

* Thu Sep 20 2007 Dan Horak <dan[at]danny.cz> 1.4.2-3
- Add a patch to clean a warning during compile
- Add a patch to fix cpu load computations

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-2
- Account for binaries moving from %%_bindir to %%_sbindir

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-1
- New upstream release

* Mon Jul 02 2007 Jarod Wilson <jwilson@redhat.com> 1.4.1-1
- New upstream release

* Fri Jun 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-3
- Install correct sql init files (#244991)
- Add Requires: php-bcmath to zabbix-web (#245767)

* Wed May 30 2007 Jarod Wilson <jwilson@redhat.com> 1.4-2
- Add placeholder zabbix.conf.php

* Tue May 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-1
- New upstream release

* Fri Mar 30 2007 Jarod Wilson <jwilson@redhat.com> 1.1.7-1
- New upstream release

* Wed Feb 07 2007 Jarod Wilson <jwilson@redhat.com> 1.1.6-1
- New upstream release

* Thu Feb 01 2007 Jarod Wilson <jwilson@redhat.com> 1.1.5-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 1.1.4-5
- Add explicit R:php to zabbix-web (#220676)

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-4
- Fix snmp polling buffer overflow (#218065)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-3
- Rebuild for updated libnetsnmp

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-2
- Fix up pt_br
- Add Req-pre on useradd

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-1
- Update to 1.1.4

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-3
- Add BR: gnutls-devel, R: net-snmp-libs

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-2
- Fix php-pgsql Requires

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-1
- Update to 1.1.3

* Mon Oct 02 2006 Jarod Wilson <jwilson@redhat.com> 1.1.2-1
- Update to 1.1.2
- Enable alternate building with postgresql support

* Thu Aug 17 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-2
- Yank out Requires: mysql-server
- Add Requires: for php-gd and fping

* Tue Aug 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-1
- Update to 1.1.1
- More macroification
- Fix up zabbix-web Requires:
- Prep for enabling postgres support

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 1.1-2
- Add Requires: on chkconfig and service
- Remove openssl-devel from BR, mysql-devel pulls it in
- Alter scriptlets to match Fedora conventions

* Tue Jul 11 2006 Jarod Wilson <jwilson@redhat.com> 1.1-1
- Initial build for Fedora Extras
